#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000007DC, "_module_flags");
  MakeDword(0x000007DC);
  MakeName(0x000007E0, "_module_name");
  MakeStr(0x000007E0, BADADDR);
  MakeName(0x000007FC, "_module_gp");
  MakeDword(0x000007FC);
  MakeName(0x00000800, "_module_exports");
  MakeDword(0x00000800);
  OpOff(0x00000800, 0, 0);
  MakeName(0x00000804, "_module_exp_end");
  MakeDword(0x00000804);
  OpOff(0x00000804, 0, 0);
  MakeName(0x00000808, "_module_imports");
  MakeDword(0x00000808);
  OpOff(0x00000808, 0, 0);
  MakeName(0x0000080C, "_module_imp_end");
  MakeDword(0x0000080C);
  OpOff(0x0000080C, 0, 0);
}

static createImports() {
  MakeName(0x0000079C, "import0");
  MakeDword(0x0000079C);
  OpOff(0x0000079C, 0, 0);
  MakeName(0x00000814, "import0_name");
  MakeStr(0x00000814, BADADDR);
  MakeName(0x000007A0, "import0_flags");
  MakeDword(0x000007A0);
  MakeName(0x000007A4, "import0_counts");
  MakeDword(0x000007A4);
  MakeName(0x000007A8, "import0_nids");
  MakeDword(0x000007A8);
  OpOff(0x000007A8, 0, 0);
  MakeName(0x000007AC, "import0_funcs");
  MakeDword(0x000007AC);
  OpOff(0x000007AC, 0, 0);
  MakeName(0x000008E4, "import0_sceKernelDeleteSema");
  MakeDword(0x000008E4);
  MakeName(0x00000714, "sceKernelDeleteSema");
  MakeFunction(0x00000714, BADADDR);
  MakeName(0x000008E8, "import0_sceKernelSignalSema");
  MakeDword(0x000008E8);
  MakeName(0x0000071C, "sceKernelSignalSema");
  MakeFunction(0x0000071C, BADADDR);
  MakeName(0x000008EC, "import0_sceKernelWaitSema");
  MakeDword(0x000008EC);
  MakeName(0x00000724, "sceKernelWaitSema");
  MakeFunction(0x00000724, BADADDR);
  MakeName(0x000008F0, "import0_sceKernelPollSema");
  MakeDword(0x000008F0);
  MakeName(0x0000072C, "sceKernelPollSema");
  MakeFunction(0x0000072C, BADADDR);
  MakeName(0x000008F4, "import0_sceKernelCreateSema");
  MakeDword(0x000008F4);
  MakeName(0x00000734, "sceKernelCreateSema");
  MakeFunction(0x00000734, BADADDR);
  MakeName(0x000007B0, "import1");
  MakeDword(0x000007B0);
  OpOff(0x000007B0, 0, 0);
  MakeName(0x0000082C, "import1_name");
  MakeStr(0x0000082C, BADADDR);
  MakeName(0x000007B4, "import1_flags");
  MakeDword(0x000007B4);
  MakeName(0x000007B8, "import1_counts");
  MakeDword(0x000007B8);
  MakeName(0x000007BC, "import1_nids");
  MakeDword(0x000007BC);
  OpOff(0x000007BC, 0, 0);
  MakeName(0x000007C0, "import1_funcs");
  MakeDword(0x000007C0);
  OpOff(0x000007C0, 0, 0);
  MakeName(0x00000904, "import1_sceKernelRegisterSysEventHandler");
  MakeDword(0x00000904);
  MakeName(0x00000754, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00000754, BADADDR);
  MakeName(0x00000908, "import1_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00000908);
  MakeName(0x0000075C, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x0000075C, BADADDR);
  MakeName(0x000007C4, "import2");
  MakeDword(0x000007C4);
  OpOff(0x000007C4, 0, 0);
  MakeName(0x00000848, "import2_name");
  MakeStr(0x00000848, BADADDR);
  MakeName(0x000007C8, "import2_flags");
  MakeDword(0x000007C8);
  MakeName(0x000007CC, "import2_counts");
  MakeDword(0x000007CC);
  MakeName(0x000007D0, "import2_nids");
  MakeDword(0x000007D0);
  OpOff(0x000007D0, 0, 0);
  MakeName(0x000007D4, "import2_funcs");
  MakeDword(0x000007D4);
  OpOff(0x000007D4, 0, 0);
  MakeName(0x000008F8, "import2_sceI2cMasterTransmitReceive");
  MakeDword(0x000008F8);
  MakeName(0x0000073C, "sceI2cMasterTransmitReceive");
  MakeFunction(0x0000073C, BADADDR);
  MakeName(0x000008FC, "import2_sceI2cSetClock");
  MakeDword(0x000008FC);
  MakeName(0x00000744, "sceI2cSetClock");
  MakeFunction(0x00000744, BADADDR);
  MakeName(0x00000900, "import2_sceI2cMasterTransmit");
  MakeDword(0x00000900);
  MakeName(0x0000074C, "sceI2cMasterTransmit");
  MakeFunction(0x0000074C, BADADDR);
}

static createExports() {
  MakeName(0x00000774, "export_0");
  MakeDword(0x00000774);
  MakeName(0x00000778, "export_0_flags");
  MakeDword(0x00000778);
  MakeName(0x0000077C, "export_0_counts");
  MakeDword(0x0000077C);
  MakeName(0x00000780, "export_0_exports");
  MakeDword(0x00000780);
  OpOff(0x00000780, 0, 0);
  MakeName(0x00000858, "export_0_module_start");
  MakeDword(0x00000858);
  MakeName(0x00000864, "");
  MakeDword(0x00000864);
  OpOff(0x00000864, 0, 0);
  MakeName(0x000002A4, "module_start");
  MakeFunction(0x000002A4, BADADDR);
  MakeName(0x0000085C, "export_0_module_reboot_before");
  MakeDword(0x0000085C);
  MakeName(0x00000868, "");
  MakeDword(0x00000868);
  OpOff(0x00000868, 0, 0);
  MakeName(0x00000314, "module_reboot_before");
  MakeFunction(0x00000314, BADADDR);
  MakeName(0x00000860, "export_0_module_info");
  MakeDword(0x00000860);
  MakeName(0x0000086C, "");
  MakeDword(0x0000086C);
  OpOff(0x0000086C, 0, 0);
  MakeName(0x00000784, "export_1");
  MakeDword(0x00000784);
  OpOff(0x00000784, 0, 0);
  MakeName(0x00000870, "export_1_name");
  MakeStr(0x00000870, BADADDR);
  MakeName(0x00000788, "export_1_flags");
  MakeDword(0x00000788);
  MakeName(0x0000078C, "export_1_counts");
  MakeDword(0x0000078C);
  MakeName(0x00000790, "export_1_exports");
  MakeDword(0x00000790);
  OpOff(0x00000790, 0, 0);
  MakeName(0x00000884, "export_1_sceClockgenSetup");
  MakeDword(0x00000884);
  MakeName(0x000008B4, "");
  MakeDword(0x000008B4);
  OpOff(0x000008B4, 0, 0);
  MakeName(0x00000000, "sceClockgenSetup");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000888, "export_1_sceClockgenInit");
  MakeDword(0x00000888);
  MakeName(0x000008B8, "");
  MakeDword(0x000008B8);
  OpOff(0x000008B8, 0, 0);
  MakeName(0x00000360, "sceClockgenInit");
  MakeFunction(0x00000360, BADADDR);
  MakeName(0x0000088C, "export_1_sceClockgenGetRevision");
  MakeDword(0x0000088C);
  MakeName(0x000008BC, "");
  MakeDword(0x000008BC);
  OpOff(0x000008BC, 0, 0);
  MakeName(0x00000478, "sceClockgenGetRevision");
  MakeFunction(0x00000478, BADADDR);
  MakeName(0x00000890, "export_1_sceClockgenEnd");
  MakeDword(0x00000890);
  MakeName(0x000008C0, "");
  MakeDword(0x000008C0);
  OpOff(0x000008C0, 0, 0);
  MakeName(0x000003B8, "sceClockgenEnd");
  MakeFunction(0x000003B8, BADADDR);
  MakeName(0x00000894, "export_1_sceClockgenAudioClkSetFreq");
  MakeDword(0x00000894);
  MakeName(0x000008C4, "");
  MakeDword(0x000008C4);
  OpOff(0x000008C4, 0, 0);
  MakeName(0x000004B8, "sceClockgenAudioClkSetFreq");
  MakeFunction(0x000004B8, BADADDR);
  MakeName(0x00000898, "export_1_sceClockgenAudioClkEnable");
  MakeDword(0x00000898);
  MakeName(0x000008C8, "");
  MakeDword(0x000008C8);
  OpOff(0x000008C8, 0, 0);
  MakeName(0x000004F8, "sceClockgenAudioClkEnable");
  MakeFunction(0x000004F8, BADADDR);
  MakeName(0x0000089C, "export_1_sceClockgenLeptonClkEnable");
  MakeDword(0x0000089C);
  MakeName(0x000008CC, "");
  MakeDword(0x000008CC);
  OpOff(0x000008CC, 0, 0);
  MakeName(0x00000538, "sceClockgenLeptonClkEnable");
  MakeFunction(0x00000538, BADADDR);
  MakeName(0x000008A0, "export_1_sceClockgenGetRegValue");
  MakeDword(0x000008A0);
  MakeName(0x000008D0, "");
  MakeDword(0x000008D0);
  OpOff(0x000008D0, 0, 0);
  MakeName(0x0000048C, "sceClockgenGetRegValue");
  MakeFunction(0x0000048C, BADADDR);
  MakeName(0x000008A4, "export_1_sceClockgenAudioClkDisable");
  MakeDword(0x000008A4);
  MakeName(0x000008D4, "");
  MakeDword(0x000008D4);
  OpOff(0x000008D4, 0, 0);
  MakeName(0x00000518, "sceClockgenAudioClkDisable");
  MakeFunction(0x00000518, BADADDR);
  MakeName(0x000008A8, "export_1_sceClockgen_driver_C6D4C843");
  MakeDword(0x000008A8);
  MakeName(0x000008D8, "");
  MakeDword(0x000008D8);
  OpOff(0x000008D8, 0, 0);
  MakeName(0x00000404, "sceClockgen_driver_C6D4C843");
  MakeFunction(0x00000404, BADADDR);
  MakeName(0x000008AC, "export_1_sceClockgen_driver_C9AF3102");
  MakeDword(0x000008AC);
  MakeName(0x000008DC, "");
  MakeDword(0x000008DC);
  OpOff(0x000008DC, 0, 0);
  MakeName(0x000000F8, "sceClockgen_driver_C9AF3102");
  MakeFunction(0x000000F8, BADADDR);
  MakeName(0x000008B0, "export_1_sceClockgenLeptonClkDisable");
  MakeDword(0x000008B0);
  MakeName(0x000008E0, "");
  MakeDword(0x000008E0);
  OpOff(0x000008E0, 0, 0);
  MakeName(0x00000558, "sceClockgenLeptonClkDisable");
  MakeFunction(0x00000558, BADADDR);
}

static createRelocs() {
}

