#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000B04, "_module_flags");
  MakeDword(0x00000B04);
  MakeName(0x00000B08, "_module_name");
  MakeStr(0x00000B08, BADADDR);
  MakeName(0x00000B24, "_module_gp");
  MakeDword(0x00000B24);
  MakeName(0x00000B28, "_module_exports");
  MakeDword(0x00000B28);
  OpOff(0x00000B28, 0, 0);
  MakeName(0x00000B2C, "_module_exp_end");
  MakeDword(0x00000B2C);
  OpOff(0x00000B2C, 0, 0);
  MakeName(0x00000B30, "_module_imports");
  MakeDword(0x00000B30);
  OpOff(0x00000B30, 0, 0);
  MakeName(0x00000B34, "_module_imp_end");
  MakeDword(0x00000B34);
  OpOff(0x00000B34, 0, 0);
}

static createImports() {
  MakeName(0x00000AC0, "import0");
  MakeDword(0x00000AC0);
  OpOff(0x00000AC0, 0, 0);
  MakeName(0x00000B3C, "import0_name");
  MakeStr(0x00000B3C, BADADDR);
  MakeName(0x00000AC4, "import0_flags");
  MakeDword(0x00000AC4);
  MakeName(0x00000AC8, "import0_counts");
  MakeDword(0x00000AC8);
  MakeName(0x00000ACC, "import0_nids");
  MakeDword(0x00000ACC);
  OpOff(0x00000ACC, 0, 0);
  MakeName(0x00000AD0, "import0_funcs");
  MakeDword(0x00000AD0);
  OpOff(0x00000AD0, 0, 0);
  MakeName(0x00000C6C, "import0_sceKernelRegisterSysEventHandler");
  MakeDword(0x00000C6C);
  MakeName(0x00000A50, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00000A50, BADADDR);
  MakeName(0x00000C70, "import0_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00000C70);
  MakeName(0x00000A58, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000A58, BADADDR);
  MakeName(0x00000AD4, "import1");
  MakeDword(0x00000AD4);
  OpOff(0x00000AD4, 0, 0);
  MakeName(0x00000B58, "import1_name");
  MakeStr(0x00000B58, BADADDR);
  MakeName(0x00000AD8, "import1_flags");
  MakeDword(0x00000AD8);
  MakeName(0x00000ADC, "import1_counts");
  MakeDword(0x00000ADC);
  MakeName(0x00000AE0, "import1_nids");
  MakeDword(0x00000AE0);
  OpOff(0x00000AE0, 0, 0);
  MakeName(0x00000AE4, "import1_funcs");
  MakeDword(0x00000AE4);
  OpOff(0x00000AE4, 0, 0);
  MakeName(0x00000C64, "import1_sceKernelCpuSuspendIntr");
  MakeDword(0x00000C64);
  MakeName(0x00000A40, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00000A40, BADADDR);
  MakeName(0x00000C68, "import1_sceKernelCpuResumeIntr");
  MakeDword(0x00000C68);
  MakeName(0x00000A48, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000A48, BADADDR);
  MakeName(0x00000AEC, "import2");
  MakeDword(0x00000AEC);
  OpOff(0x00000AEC, 0, 0);
  MakeName(0x00000B78, "import2_name");
  MakeStr(0x00000B78, BADADDR);
  MakeName(0x00000AF0, "import2_flags");
  MakeDword(0x00000AF0);
  MakeName(0x00000AF4, "import2_counts");
  MakeDword(0x00000AF4);
  MakeName(0x00000AF8, "import2_nids");
  MakeDword(0x00000AF8);
  OpOff(0x00000AF8, 0, 0);
  MakeName(0x00000AFC, "import2_funcs");
  MakeDword(0x00000AFC);
  OpOff(0x00000AFC, 0, 0);
  MakeName(0x00000C74, "import2_sceSysregLcdcClkSelect");
  MakeDword(0x00000C74);
  MakeName(0x00000A60, "sceSysregLcdcClkSelect");
  MakeFunction(0x00000A60, BADADDR);
  MakeName(0x00000C78, "import2_sceSysregLcdcIoEnable");
  MakeDword(0x00000C78);
  MakeName(0x00000A68, "sceSysregLcdcIoEnable");
  MakeFunction(0x00000A68, BADADDR);
  MakeName(0x00000C7C, "import2_sceSysregLcdcClkEnable");
  MakeDword(0x00000C7C);
  MakeName(0x00000A70, "sceSysregLcdcClkEnable");
  MakeFunction(0x00000A70, BADADDR);
  MakeName(0x00000C80, "import2_sceSysregGetTachyonVersion");
  MakeDword(0x00000C80);
  MakeName(0x00000A78, "sceSysregGetTachyonVersion");
  MakeFunction(0x00000A78, BADADDR);
  MakeName(0x00000C84, "import2_sceSysregLcdcClkDisable");
  MakeDword(0x00000C84);
  MakeName(0x00000A80, "sceSysregLcdcClkDisable");
  MakeFunction(0x00000A80, BADADDR);
  MakeName(0x00000C88, "import2_sceSysregLcdcIoDisable");
  MakeDword(0x00000C88);
  MakeName(0x00000A88, "sceSysregLcdcIoDisable");
  MakeFunction(0x00000A88, BADADDR);
}

static createExports() {
  MakeName(0x00000A94, "export_0");
  MakeDword(0x00000A94);
  MakeName(0x00000A98, "export_0_flags");
  MakeDword(0x00000A98);
  MakeName(0x00000A9C, "export_0_counts");
  MakeDword(0x00000A9C);
  MakeName(0x00000AA0, "export_0_exports");
  MakeDword(0x00000AA0);
  OpOff(0x00000AA0, 0, 0);
  MakeName(0x00000B8C, "export_0_module_start");
  MakeDword(0x00000B8C);
  MakeName(0x00000B98, "");
  MakeDword(0x00000B98);
  OpOff(0x00000B98, 0, 0);
  MakeName(0x000007A8, "module_start");
  MakeFunction(0x000007A8, BADADDR);
  MakeName(0x00000B90, "export_0_module_reboot_before");
  MakeDword(0x00000B90);
  MakeName(0x00000B9C, "");
  MakeDword(0x00000B9C);
  OpOff(0x00000B9C, 0, 0);
  MakeName(0x000007C8, "module_reboot_before");
  MakeFunction(0x000007C8, BADADDR);
  MakeName(0x00000B94, "export_0_module_info");
  MakeDword(0x00000B94);
  MakeName(0x00000BA0, "");
  MakeDword(0x00000BA0);
  OpOff(0x00000BA0, 0, 0);
  MakeName(0x00000AA4, "export_1");
  MakeDword(0x00000AA4);
  OpOff(0x00000AA4, 0, 0);
  MakeName(0x00000BA4, "export_1_name");
  MakeStr(0x00000BA4, BADADDR);
  MakeName(0x00000AA8, "export_1_flags");
  MakeDword(0x00000AA8);
  MakeName(0x00000AAC, "export_1_counts");
  MakeDword(0x00000AAC);
  MakeName(0x00000AB0, "export_1_exports");
  MakeDword(0x00000AB0);
  OpOff(0x00000AB0, 0, 0);
  MakeName(0x00000BB4, "export_1_sceLcdcSetMode");
  MakeDword(0x00000BB4);
  MakeName(0x00000BFC, "");
  MakeDword(0x00000BFC);
  OpOff(0x00000BFC, 0, 0);
  MakeName(0x000003AC, "sceLcdcSetMode");
  MakeFunction(0x000003AC, BADADDR);
  MakeName(0x00000BB8, "export_1_sceLcdcEnd");
  MakeDword(0x00000BB8);
  MakeName(0x00000C00, "");
  MakeDword(0x00000C00);
  OpOff(0x00000C00, 0, 0);
  MakeName(0x000007EC, "sceLcdcEnd");
  MakeFunction(0x000007EC, BADADDR);
  MakeName(0x00000BBC, "export_1_sceLcdcGetLcdcClockFreq");
  MakeDword(0x00000BBC);
  MakeName(0x00000C04, "");
  MakeDword(0x00000C04);
  OpOff(0x00000C04, 0, 0);
  MakeName(0x000005BC, "sceLcdcGetLcdcClockFreq");
  MakeFunction(0x000005BC, BADADDR);
  MakeName(0x00000BC0, "export_1_sceLcdcGetVsyncFreq");
  MakeDword(0x00000BC0);
  MakeName(0x00000C08, "");
  MakeDword(0x00000C08);
  OpOff(0x00000C08, 0, 0);
  MakeName(0x00000950, "sceLcdcGetVsyncFreq");
  MakeFunction(0x00000950, BADADDR);
  MakeName(0x00000BC4, "export_1_sceLcdc_driver_551C5BC3");
  MakeDword(0x00000BC4);
  MakeName(0x00000C0C, "");
  MakeDword(0x00000C0C);
  OpOff(0x00000C0C, 0, 0);
  MakeName(0x00000664, "sceLcdc_driver_551C5BC3");
  MakeFunction(0x00000664, BADADDR);
  MakeName(0x00000BC8, "export_1_sceLcdcCheckMode");
  MakeDword(0x00000BC8);
  MakeName(0x00000C10, "");
  MakeDword(0x00000C10);
  OpOff(0x00000C10, 0, 0);
  MakeName(0x000002FC, "sceLcdcCheckMode");
  MakeFunction(0x000002FC, BADADDR);
  MakeName(0x00000BCC, "export_1_sceLcdcReadVPC");
  MakeDword(0x00000BCC);
  MakeName(0x00000C14, "");
  MakeDword(0x00000C14);
  OpOff(0x00000C14, 0, 0);
  MakeName(0x0000074C, "sceLcdcReadVPC");
  MakeFunction(0x0000074C, BADADDR);
  MakeName(0x00000BD0, "export_1_sceLcdc_driver_825DB9C5");
  MakeDword(0x00000BD0);
  MakeName(0x00000C18, "");
  MakeDword(0x00000C18);
  OpOff(0x00000C18, 0, 0);
  MakeName(0x000008CC, "sceLcdc_driver_825DB9C5");
  MakeFunction(0x000008CC, BADADDR);
  MakeName(0x00000BD4, "export_1_sceLcdcGetPixelClockFreq");
  MakeDword(0x00000BD4);
  MakeName(0x00000C1C, "");
  MakeDword(0x00000C1C);
  OpOff(0x00000C1C, 0, 0);
  MakeName(0x000008D8, "sceLcdcGetPixelClockFreq");
  MakeFunction(0x000008D8, BADADDR);
  MakeName(0x00000BD8, "export_1_sceLcdcDisable");
  MakeDword(0x00000BD8);
  MakeName(0x00000C20, "");
  MakeDword(0x00000C20);
  OpOff(0x00000C20, 0, 0);
  MakeName(0x00000864, "sceLcdcDisable");
  MakeFunction(0x00000864, BADADDR);
  MakeName(0x00000BDC, "export_1_sceLcdcEnable");
  MakeDword(0x00000BDC);
  MakeName(0x00000C24, "");
  MakeDword(0x00000C24);
  OpOff(0x00000C24, 0, 0);
  MakeName(0x00000838, "sceLcdcEnable");
  MakeFunction(0x00000838, BADADDR);
  MakeName(0x00000BE0, "export_1_sceLcdcReset");
  MakeDword(0x00000BE0);
  MakeName(0x00000C28, "");
  MakeDword(0x00000C28);
  OpOff(0x00000C28, 0, 0);
  MakeName(0x0000088C, "sceLcdcReset");
  MakeFunction(0x0000088C, BADADDR);
  MakeName(0x00000BE4, "export_1_sceLcdcGetHsyncFreq");
  MakeDword(0x00000BE4);
  MakeName(0x00000C2C, "");
  MakeDword(0x00000C2C);
  OpOff(0x00000C2C, 0, 0);
  MakeName(0x00000904, "sceLcdcGetHsyncFreq");
  MakeFunction(0x00000904, BADADDR);
  MakeName(0x00000BE8, "export_1_sceLcdcInit");
  MakeDword(0x00000BE8);
  MakeName(0x00000C30, "");
  MakeDword(0x00000C30);
  OpOff(0x00000C30, 0, 0);
  MakeName(0x00000000, "sceLcdcInit");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00000BEC, "export_1_sceLcdcResume");
  MakeDword(0x00000BEC);
  MakeName(0x00000C34, "");
  MakeDword(0x00000C34);
  OpOff(0x00000C34, 0, 0);
  MakeName(0x000001D4, "sceLcdcResume");
  MakeFunction(0x000001D4, BADADDR);
  MakeName(0x00000BF0, "export_1_sceLcdcSuspend");
  MakeDword(0x00000BF0);
  MakeName(0x00000C38, "");
  MakeDword(0x00000C38);
  OpOff(0x00000C38, 0, 0);
  MakeName(0x00000810, "sceLcdcSuspend");
  MakeFunction(0x00000810, BADADDR);
  MakeName(0x00000BF4, "export_1_sceLcdc_driver_E08B076B");
  MakeDword(0x00000BF4);
  MakeName(0x00000C3C, "");
  MakeDword(0x00000C3C);
  OpOff(0x00000C3C, 0, 0);
  MakeName(0x000009C0, "sceLcdc_driver_E08B076B");
  MakeFunction(0x000009C0, BADADDR);
  MakeName(0x00000BF8, "export_1_sceLcdcReadHPC");
  MakeDword(0x00000BF8);
  MakeName(0x00000C40, "");
  MakeDword(0x00000C40);
  OpOff(0x00000C40, 0, 0);
  MakeName(0x000006F0, "sceLcdcReadHPC");
  MakeFunction(0x000006F0, BADADDR);
}

static createRelocs() {
}

