#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00006C0C, "_module_flags");
  MakeDword(0x00006C0C);
  MakeName(0x00006C10, "_module_name");
  MakeStr(0x00006C10, BADADDR);
  MakeName(0x00006C2C, "_module_gp");
  MakeDword(0x00006C2C);
  MakeName(0x00006C30, "_module_exports");
  MakeDword(0x00006C30);
  OpOff(0x00006C30, 0, 0);
  MakeName(0x00006C34, "_module_exp_end");
  MakeDword(0x00006C34);
  OpOff(0x00006C34, 0, 0);
  MakeName(0x00006C38, "_module_imports");
  MakeDword(0x00006C38);
  OpOff(0x00006C38, 0, 0);
  MakeName(0x00006C3C, "_module_imp_end");
  MakeDword(0x00006C3C);
  OpOff(0x00006C3C, 0, 0);
}

static createImports() {
  MakeName(0x00006B7C, "import0");
  MakeDword(0x00006B7C);
  OpOff(0x00006B7C, 0, 0);
  MakeName(0x00006C44, "import0_name");
  MakeStr(0x00006C44, BADADDR);
  MakeName(0x00006B80, "import0_flags");
  MakeDword(0x00006B80);
  MakeName(0x00006B84, "import0_counts");
  MakeDword(0x00006B84);
  MakeName(0x00006B88, "import0_nids");
  MakeDword(0x00006B88);
  OpOff(0x00006B88, 0, 0);
  MakeName(0x00006B8C, "import0_funcs");
  MakeDword(0x00006B8C);
  OpOff(0x00006B8C, 0, 0);
  MakeName(0x00006D08, "import0_sceKernelCreateHeap");
  MakeDword(0x00006D08);
  MakeName(0x00006A98, "sceKernelCreateHeap");
  MakeFunction(0x00006A98, BADADDR);
  MakeName(0x00006D0C, "import0_sceKernelAllocPartitionMemory");
  MakeDword(0x00006D0C);
  MakeName(0x00006AA0, "sceKernelAllocPartitionMemory");
  MakeFunction(0x00006AA0, BADADDR);
  MakeName(0x00006D10, "import0_sceKernelAllocHeapMemory");
  MakeDword(0x00006D10);
  MakeName(0x00006AA8, "sceKernelAllocHeapMemory");
  MakeFunction(0x00006AA8, BADADDR);
  MakeName(0x00006D14, "import0_sceKernelFreeHeapMemory");
  MakeDword(0x00006D14);
  MakeName(0x00006AB0, "sceKernelFreeHeapMemory");
  MakeFunction(0x00006AB0, BADADDR);
  MakeName(0x00006D18, "import0_sceKernelGetBlockHeadAddr");
  MakeDword(0x00006D18);
  MakeName(0x00006AB8, "sceKernelGetBlockHeadAddr");
  MakeFunction(0x00006AB8, BADADDR);
  MakeName(0x00006D1C, "import0_sceKernelFreePartitionMemory");
  MakeDword(0x00006D1C);
  MakeName(0x00006AC0, "sceKernelFreePartitionMemory");
  MakeFunction(0x00006AC0, BADADDR);
  MakeName(0x00006D20, "import0_sceKernelDeleteHeap");
  MakeDword(0x00006D20);
  MakeName(0x00006AC8, "sceKernelDeleteHeap");
  MakeFunction(0x00006AC8, BADADDR);
  MakeName(0x00006D24, "import0_sceKernelGetGameInfo");
  MakeDword(0x00006D24);
  MakeName(0x00006AD0, "sceKernelGetGameInfo");
  MakeFunction(0x00006AD0, BADADDR);
  MakeName(0x00006B90, "import1");
  MakeDword(0x00006B90);
  OpOff(0x00006B90, 0, 0);
  MakeName(0x00006C58, "import1_name");
  MakeStr(0x00006C58, BADADDR);
  MakeName(0x00006B94, "import1_flags");
  MakeDword(0x00006B94);
  MakeName(0x00006B98, "import1_counts");
  MakeDword(0x00006B98);
  MakeName(0x00006B9C, "import1_nids");
  MakeDword(0x00006B9C);
  OpOff(0x00006B9C, 0, 0);
  MakeName(0x00006BA0, "import1_funcs");
  MakeDword(0x00006BA0);
  OpOff(0x00006BA0, 0, 0);
  MakeName(0x00006D28, "import1_strncmp");
  MakeDword(0x00006D28);
  MakeName(0x00006AD8, "strncmp");
  MakeFunction(0x00006AD8, BADADDR);
  MakeName(0x00006BA4, "import2");
  MakeDword(0x00006BA4);
  OpOff(0x00006BA4, 0, 0);
  MakeName(0x00006C70, "import2_name");
  MakeStr(0x00006C70, BADADDR);
  MakeName(0x00006BA8, "import2_flags");
  MakeDword(0x00006BA8);
  MakeName(0x00006BAC, "import2_counts");
  MakeDword(0x00006BAC);
  MakeName(0x00006BB0, "import2_nids");
  MakeDword(0x00006BB0);
  OpOff(0x00006BB0, 0, 0);
  MakeName(0x00006BB4, "import2_funcs");
  MakeDword(0x00006BB4);
  OpOff(0x00006BB4, 0, 0);
  MakeName(0x00006CF0, "import2_sceIoOpen");
  MakeDword(0x00006CF0);
  MakeName(0x00006A68, "sceIoOpen");
  MakeFunction(0x00006A68, BADADDR);
  MakeName(0x00006CF4, "import2_sceIoLseek");
  MakeDword(0x00006CF4);
  MakeName(0x00006A70, "sceIoLseek");
  MakeFunction(0x00006A70, BADADDR);
  MakeName(0x00006CF8, "import2_sceIoWrite");
  MakeDword(0x00006CF8);
  MakeName(0x00006A78, "sceIoWrite");
  MakeFunction(0x00006A78, BADADDR);
  MakeName(0x00006CFC, "import2_sceIoDevctl");
  MakeDword(0x00006CFC);
  MakeName(0x00006A80, "sceIoDevctl");
  MakeFunction(0x00006A80, BADADDR);
  MakeName(0x00006D00, "import2_sceIoRead");
  MakeDword(0x00006D00);
  MakeName(0x00006A88, "sceIoRead");
  MakeFunction(0x00006A88, BADADDR);
  MakeName(0x00006D04, "import2_sceIoClose");
  MakeDword(0x00006D04);
  MakeName(0x00006A90, "sceIoClose");
  MakeFunction(0x00006A90, BADADDR);
  MakeName(0x00006BB8, "import3");
  MakeDword(0x00006BB8);
  OpOff(0x00006BB8, 0, 0);
  MakeName(0x00006C88, "import3_name");
  MakeStr(0x00006C88, BADADDR);
  MakeName(0x00006BBC, "import3_flags");
  MakeDword(0x00006BBC);
  MakeName(0x00006BC0, "import3_counts");
  MakeDword(0x00006BC0);
  MakeName(0x00006BC4, "import3_nids");
  MakeDword(0x00006BC4);
  OpOff(0x00006BC4, 0, 0);
  MakeName(0x00006BC8, "import3_funcs");
  MakeDword(0x00006BC8);
  OpOff(0x00006BC8, 0, 0);
  MakeName(0x00006D2C, "import3_sceKernelSetEventFlag");
  MakeDword(0x00006D2C);
  MakeName(0x00006AE0, "sceKernelSetEventFlag");
  MakeFunction(0x00006AE0, BADADDR);
  MakeName(0x00006D30, "import3_sceKernelWaitEventFlagCB");
  MakeDword(0x00006D30);
  MakeName(0x00006AE8, "sceKernelWaitEventFlagCB");
  MakeFunction(0x00006AE8, BADADDR);
  MakeName(0x00006D34, "import3_sceKernelCreateEventFlag");
  MakeDword(0x00006D34);
  MakeName(0x00006AF0, "sceKernelCreateEventFlag");
  MakeFunction(0x00006AF0, BADADDR);
  MakeName(0x00006D38, "import3_sceKernelCreateVpl");
  MakeDword(0x00006D38);
  MakeName(0x00006AF8, "sceKernelCreateVpl");
  MakeFunction(0x00006AF8, BADADDR);
  MakeName(0x00006D3C, "import3_sceKernelDeleteVpl");
  MakeDword(0x00006D3C);
  MakeName(0x00006B00, "sceKernelDeleteVpl");
  MakeFunction(0x00006B00, BADADDR);
  MakeName(0x00006D40, "import3_sceKernelTryAllocateVpl");
  MakeDword(0x00006D40);
  MakeName(0x00006B08, "sceKernelTryAllocateVpl");
  MakeFunction(0x00006B08, BADADDR);
  MakeName(0x00006D44, "import3_sceKernelFreeVpl");
  MakeDword(0x00006D44);
  MakeName(0x00006B10, "sceKernelFreeVpl");
  MakeFunction(0x00006B10, BADADDR);
  MakeName(0x00006D48, "import3_sceKernelCreateCallback");
  MakeDword(0x00006D48);
  MakeName(0x00006B18, "sceKernelCreateCallback");
  MakeFunction(0x00006B18, BADADDR);
  MakeName(0x00006D4C, "import3_sceKernelDeleteCallback");
  MakeDword(0x00006D4C);
  MakeName(0x00006B20, "sceKernelDeleteCallback");
  MakeFunction(0x00006B20, BADADDR);
  MakeName(0x00006D50, "import3_sceKernelDeleteEventFlag");
  MakeDword(0x00006D50);
  MakeName(0x00006B28, "sceKernelDeleteEventFlag");
  MakeFunction(0x00006B28, BADADDR);
  MakeName(0x00006BCC, "import4");
  MakeDword(0x00006BCC);
  OpOff(0x00006BCC, 0, 0);
  MakeName(0x00006CA0, "import4_name");
  MakeStr(0x00006CA0, BADADDR);
  MakeName(0x00006BD0, "import4_flags");
  MakeDword(0x00006BD0);
  MakeName(0x00006BD4, "import4_counts");
  MakeDword(0x00006BD4);
  MakeName(0x00006BD8, "import4_nids");
  MakeDword(0x00006BD8);
  OpOff(0x00006BD8, 0, 0);
  MakeName(0x00006BDC, "import4_funcs");
  MakeDword(0x00006BDC);
  OpOff(0x00006BDC, 0, 0);
  MakeName(0x00006CE4, "import4_sceKernelGetChunk");
  MakeDword(0x00006CE4);
  MakeName(0x00006A50, "sceKernelGetChunk");
  MakeFunction(0x00006A50, BADADDR);
  MakeName(0x00006CE8, "import4_sceKernelInitApitype");
  MakeDword(0x00006CE8);
  MakeName(0x00006A58, "sceKernelInitApitype");
  MakeFunction(0x00006A58, BADADDR);
  MakeName(0x00006CEC, "import4_sceKernelInitFileName");
  MakeDword(0x00006CEC);
  MakeName(0x00006A60, "sceKernelInitFileName");
  MakeFunction(0x00006A60, BADADDR);
  MakeName(0x00006BE0, "import5");
  MakeDword(0x00006BE0);
  OpOff(0x00006BE0, 0, 0);
  MakeName(0x00006CB4, "import5_name");
  MakeStr(0x00006CB4, BADADDR);
  MakeName(0x00006BE4, "import5_flags");
  MakeDword(0x00006BE4);
  MakeName(0x00006BE8, "import5_counts");
  MakeDword(0x00006BE8);
  MakeName(0x00006BEC, "import5_nids");
  MakeDword(0x00006BEC);
  OpOff(0x00006BEC, 0, 0);
  MakeName(0x00006BF0, "import5_funcs");
  MakeDword(0x00006BF0);
  OpOff(0x00006BF0, 0, 0);
  MakeName(0x00006D58, "import5_sceUmdCheckMedium");
  MakeDword(0x00006D58);
  MakeName(0x00006B38, "sceUmdCheckMedium");
  MakeFunction(0x00006B38, BADADDR);
  MakeName(0x00006D5C, "import5_sceUmdWaitDriveStat");
  MakeDword(0x00006D5C);
  MakeName(0x00006B40, "sceUmdWaitDriveStat");
  MakeFunction(0x00006B40, BADADDR);
  MakeName(0x00006D60, "import5_sceUmdActivate");
  MakeDword(0x00006D60);
  MakeName(0x00006B48, "sceUmdActivate");
  MakeFunction(0x00006B48, BADADDR);
  MakeName(0x00006D64, "import5_sceUmdGetDriveStatus");
  MakeDword(0x00006D64);
  MakeName(0x00006B50, "sceUmdGetDriveStatus");
  MakeFunction(0x00006B50, BADADDR);
  MakeName(0x00006BF4, "import6");
  MakeDword(0x00006BF4);
  OpOff(0x00006BF4, 0, 0);
  MakeName(0x00006CC0, "import6_name");
  MakeStr(0x00006CC0, BADADDR);
  MakeName(0x00006BF8, "import6_flags");
  MakeDword(0x00006BF8);
  MakeName(0x00006BFC, "import6_counts");
  MakeDword(0x00006BFC);
  MakeName(0x00006C00, "import6_nids");
  MakeDword(0x00006C00);
  OpOff(0x00006C00, 0, 0);
  MakeName(0x00006C04, "import6_funcs");
  MakeDword(0x00006C04);
  OpOff(0x00006C04, 0, 0);
  MakeName(0x00006D54, "import6_sceLfatfsWaitReady");
  MakeDword(0x00006D54);
  MakeName(0x00006B30, "sceLfatfsWaitReady");
  MakeFunction(0x00006B30, BADADDR);
}

static createExports() {
  MakeName(0x00006B64, "export_0");
  MakeDword(0x00006B64);
  MakeName(0x00006B68, "export_0_flags");
  MakeDword(0x00006B68);
  MakeName(0x00006B6C, "export_0_counts");
  MakeDword(0x00006B6C);
  MakeName(0x00006B70, "export_0_exports");
  MakeDword(0x00006B70);
  OpOff(0x00006B70, 0, 0);
  MakeName(0x00006CD4, "export_0_module_start");
  MakeDword(0x00006CD4);
  MakeName(0x00006CDC, "");
  MakeDword(0x00006CDC);
  OpOff(0x00006CDC, 0, 0);
  MakeName(0x00000000, "module_start");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00006CD8, "export_0_module_info");
  MakeDword(0x00006CD8);
  MakeName(0x00006CE0, "");
  MakeDword(0x00006CE0);
  OpOff(0x00006CE0, 0, 0);
}

static createRelocs() {
}

