#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00001E00, "_module_flags");
  MakeDword(0x00001E00);
  MakeName(0x00001E04, "_module_name");
  MakeStr(0x00001E04, BADADDR);
  MakeName(0x00001E20, "_module_gp");
  MakeDword(0x00001E20);
  MakeName(0x00001E24, "_module_exports");
  MakeDword(0x00001E24);
  OpOff(0x00001E24, 0, 0);
  MakeName(0x00001E28, "_module_exp_end");
  MakeDword(0x00001E28);
  OpOff(0x00001E28, 0, 0);
  MakeName(0x00001E2C, "_module_imports");
  MakeDword(0x00001E2C);
  OpOff(0x00001E2C, 0, 0);
  MakeName(0x00001E30, "_module_imp_end");
  MakeDword(0x00001E30);
  OpOff(0x00001E30, 0, 0);
}

static createImports() {
  MakeName(0x00001DD0, "import0");
  MakeDword(0x00001DD0);
  OpOff(0x00001DD0, 0, 0);
  MakeName(0x00001E38, "import0_name");
  MakeStr(0x00001E38, BADADDR);
  MakeName(0x00001DD4, "import0_flags");
  MakeDword(0x00001DD4);
  MakeName(0x00001DD8, "import0_counts");
  MakeDword(0x00001DD8);
  MakeName(0x00001DDC, "import0_nids");
  MakeDword(0x00001DDC);
  OpOff(0x00001DDC, 0, 0);
  MakeName(0x00001DE0, "import0_funcs");
  MakeDword(0x00001DE0);
  OpOff(0x00001DE0, 0, 0);
  MakeName(0x00002478, "import0_sceKernelRegisterSysEventHandler");
  MakeDword(0x00002478);
  MakeName(0x00001D90, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x00001D90, BADADDR);
  MakeName(0x0000247C, "import0_sceKernelUnregisterSysEventHandler");
  MakeDword(0x0000247C);
  MakeName(0x00001D98, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00001D98, BADADDR);
  MakeName(0x00001DE4, "import1");
  MakeDword(0x00001DE4);
  OpOff(0x00001DE4, 0, 0);
  MakeName(0x00001E54, "import1_name");
  MakeStr(0x00001E54, BADADDR);
  MakeName(0x00001DE8, "import1_flags");
  MakeDword(0x00001DE8);
  MakeName(0x00001DEC, "import1_counts");
  MakeDword(0x00001DEC);
  MakeName(0x00001DF0, "import1_nids");
  MakeDword(0x00001DF0);
  OpOff(0x00001DF0, 0, 0);
  MakeName(0x00001DF4, "import1_funcs");
  MakeDword(0x00001DF4);
  OpOff(0x00001DF4, 0, 0);
  MakeName(0x0000245C, "import1_sceKernelCpuSuspendIntr");
  MakeDword(0x0000245C);
  MakeName(0x00001D58, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00001D58, BADADDR);
  MakeName(0x00002460, "import1_sceKernelCpuResumeIntrWithSync");
  MakeDword(0x00002460);
  MakeName(0x00001D60, "sceKernelCpuResumeIntrWithSync");
  MakeFunction(0x00001D60, BADADDR);
  MakeName(0x00002464, "import1_sceKernelEnableIntr");
  MakeDword(0x00002464);
  MakeName(0x00001D68, "sceKernelEnableIntr");
  MakeFunction(0x00001D68, BADADDR);
  MakeName(0x00002468, "import1_sceKernelRegisterIntrHandler");
  MakeDword(0x00002468);
  MakeName(0x00001D70, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00001D70, BADADDR);
  MakeName(0x0000246C, "import1_sceKernelCpuResumeIntr");
  MakeDword(0x0000246C);
  MakeName(0x00001D78, "sceKernelCpuResumeIntr");
  MakeFunction(0x00001D78, BADADDR);
  MakeName(0x00002470, "import1_sceKernelCallSubIntrHandler");
  MakeDword(0x00002470);
  MakeName(0x00001D80, "sceKernelCallSubIntrHandler");
  MakeFunction(0x00001D80, BADADDR);
  MakeName(0x00002474, "import1_sceKernelReleaseIntrHandler");
  MakeDword(0x00002474);
  MakeName(0x00001D88, "sceKernelReleaseIntrHandler");
  MakeFunction(0x00001D88, BADADDR);
}

static createExports() {
  MakeName(0x00001DA4, "export_0");
  MakeDword(0x00001DA4);
  MakeName(0x00001DA8, "export_0_flags");
  MakeDword(0x00001DA8);
  MakeName(0x00001DAC, "export_0_counts");
  MakeDword(0x00001DAC);
  MakeName(0x00001DB0, "export_0_exports");
  MakeDword(0x00001DB0);
  OpOff(0x00001DB0, 0, 0);
  MakeName(0x00001E70, "export_0_module_start");
  MakeDword(0x00001E70);
  MakeName(0x00001E7C, "");
  MakeDword(0x00001E7C);
  OpOff(0x00001E7C, 0, 0);
  MakeName(0x00000000, "module_start");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x00001E74, "export_0_module_reboot_before");
  MakeDword(0x00001E74);
  MakeName(0x00001E80, "");
  MakeDword(0x00001E80);
  OpOff(0x00001E80, 0, 0);
  MakeName(0x00000048, "module_reboot_before");
  MakeFunction(0x00000048, BADADDR);
  MakeName(0x00001E78, "export_0_module_info");
  MakeDword(0x00001E78);
  MakeName(0x00001E84, "");
  MakeDword(0x00001E84);
  OpOff(0x00001E84, 0, 0);
  MakeName(0x00001DB4, "export_1");
  MakeDword(0x00001DB4);
  OpOff(0x00001DB4, 0, 0);
  MakeName(0x00001E88, "export_1_name");
  MakeStr(0x00001E88, BADADDR);
  MakeName(0x00001DB8, "export_1_flags");
  MakeDword(0x00001DB8);
  MakeName(0x00001DBC, "export_1_counts");
  MakeDword(0x00001DBC);
  MakeName(0x00001DC0, "export_1_exports");
  MakeDword(0x00001DC0);
  OpOff(0x00001DC0, 0, 0);
  MakeName(0x00001E9C, "export_1_sceSysregMsifResetEnable");
  MakeDword(0x00001E9C);
  MakeName(0x0000213C, "");
  MakeDword(0x0000213C);
  OpOff(0x0000213C, 0, 0);
  MakeName(0x0000038C, "sceSysregMsifResetEnable");
  MakeFunction(0x0000038C, BADADDR);
  MakeName(0x00001EA0, "export_1_sceSysregApbTimerClkSelect");
  MakeDword(0x00001EA0);
  MakeName(0x00002140, "");
  MakeDword(0x00002140);
  OpOff(0x00002140, 0, 0);
  MakeName(0x00000DA4, "sceSysregApbTimerClkSelect");
  MakeFunction(0x00000DA4, BADADDR);
  MakeName(0x00001EA4, "export_1_sceSysregIicIoEnable");
  MakeDword(0x00001EA4);
  MakeName(0x00002144, "");
  MakeDword(0x00002144);
  OpOff(0x00002144, 0, 0);
  MakeName(0x0000125C, "sceSysregIicIoEnable");
  MakeFunction(0x0000125C, BADADDR);
  MakeName(0x00001EA8, "export_1_sceSysregAudioBusClockDisable");
  MakeDword(0x00001EA8);
  MakeName(0x00002148, "");
  MakeDword(0x00002148);
  OpOff(0x00002148, 0, 0);
  MakeName(0x000007B8, "sceSysregAudioBusClockDisable");
  MakeFunction(0x000007B8, BADADDR);
  MakeName(0x00001EAC, "export_1_sceSysregEnableIntr");
  MakeDword(0x00001EAC);
  MakeName(0x0000214C, "");
  MakeDword(0x0000214C);
  OpOff(0x0000214C, 0, 0);
  MakeName(0x00001968, "sceSysregEnableIntr");
  MakeFunction(0x00001968, BADADDR);
  MakeName(0x00001EB0, "export_1_sceSysregAudioClkoutClkSelect");
  MakeDword(0x00001EB0);
  MakeName(0x00002150, "");
  MakeDword(0x00002150);
  OpOff(0x00002150, 0, 0);
  MakeName(0x000010E0, "sceSysregAudioClkoutClkSelect");
  MakeFunction(0x000010E0, BADADDR);
  MakeName(0x00001EB4, "export_1_sceSysreg_driver_0EA487FA");
  MakeDword(0x00001EB4);
  MakeName(0x00002154, "");
  MakeDword(0x00002154);
  OpOff(0x00002154, 0, 0);
  MakeName(0x00001C60, "sceSysreg_driver_0EA487FA");
  MakeFunction(0x00001C60, BADADDR);
  MakeName(0x00001EB8, "export_1_sceSysreg_driver_136E8F5A");
  MakeDword(0x00001EB8);
  MakeName(0x00002158, "");
  MakeDword(0x00002158);
  OpOff(0x00002158, 0, 0);
  MakeName(0x00001CA4, "sceSysreg_driver_136E8F5A");
  MakeFunction(0x00001CA4, BADADDR);
  MakeName(0x00001EBC, "export_1_sceSysregMeBusClockDisable");
  MakeDword(0x00001EBC);
  MakeName(0x0000215C, "");
  MakeDword(0x0000215C);
  OpOff(0x0000215C, 0, 0);
  MakeName(0x000005E0, "sceSysregMeBusClockDisable");
  MakeFunction(0x000005E0, BADADDR);
  MakeName(0x00001EC0, "export_1_sceSysregDmacplusBusClockDisable");
  MakeDword(0x00001EC0);
  MakeName(0x00002160, "");
  MakeDword(0x00002160);
  OpOff(0x00002160, 0, 0);
  MakeName(0x00000640, "sceSysregDmacplusBusClockDisable");
  MakeFunction(0x00000640, BADADDR);
  MakeName(0x00001EC4, "export_1_sceSysregAtaBusClockEnable");
  MakeDword(0x00001EC4);
  MakeName(0x00002164, "");
  MakeDword(0x00002164);
  OpOff(0x00002164, 0, 0);
  MakeName(0x000006BC, "sceSysregAtaBusClockEnable");
  MakeFunction(0x000006BC, BADADDR);
  MakeName(0x00001EC8, "export_1_sceSysregMsifIoDisable");
  MakeDword(0x00001EC8);
  MakeName(0x00002168, "");
  MakeDword(0x00002168);
  OpOff(0x00002168, 0, 0);
  MakeName(0x000011C0, "sceSysregMsifIoDisable");
  MakeFunction(0x000011C0, BADADDR);
  MakeName(0x00001ECC, "export_1_sceSysregMsifClkSelect");
  MakeDword(0x00001ECC);
  MakeName(0x0000216C, "");
  MakeDword(0x0000216C);
  OpOff(0x0000216C, 0, 0);
  MakeName(0x00000C50, "sceSysregMsifClkSelect");
  MakeFunction(0x00000C50, BADADDR);
  MakeName(0x00001ED0, "export_1_sceSysregEmcsmIoDisable");
  MakeDword(0x00001ED0);
  MakeName(0x00002170, "");
  MakeDword(0x00002170);
  OpOff(0x00002170, 0, 0);
  MakeName(0x00001158, "sceSysregEmcsmIoDisable");
  MakeFunction(0x00001158, BADADDR);
  MakeName(0x00001ED4, "export_1_sceSysregMsifDelaySelect");
  MakeDword(0x00001ED4);
  MakeName(0x00002174, "");
  MakeDword(0x00002174);
  OpOff(0x00002174, 0, 0);
  MakeName(0x00000D08, "sceSysregMsifDelaySelect");
  MakeFunction(0x00000D08, BADADDR);
  MakeName(0x00001ED8, "export_1_sceSysregLcdcClkSelect");
  MakeDword(0x00001ED8);
  MakeName(0x00002178, "");
  MakeDword(0x00002178);
  OpOff(0x00002178, 0, 0);
  MakeName(0x00000F78, "sceSysregLcdcClkSelect");
  MakeFunction(0x00000F78, BADADDR);
  MakeName(0x00001EDC, "export_1_sceSysregGpioIoDisable");
  MakeDword(0x00001EDC);
  MakeName(0x0000217C, "");
  MakeDword(0x0000217C);
  OpOff(0x0000217C, 0, 0);
  MakeName(0x00001428, "sceSysregGpioIoDisable");
  MakeFunction(0x00001428, BADADDR);
  MakeName(0x00001EE0, "export_1_sceSysregSircsClkDisable");
  MakeDword(0x00001EE0);
  MakeName(0x00002180, "");
  MakeDword(0x00002180);
  OpOff(0x00002180, 0, 0);
  MakeName(0x00000AD8, "sceSysregSircsClkDisable");
  MakeFunction(0x00000AD8, BADADDR);
  MakeName(0x00001EE4, "export_1_sceSysreg_driver_2112E686");
  MakeDword(0x00001EE4);
  MakeName(0x00002184, "");
  MakeDword(0x00002184);
  OpOff(0x00002184, 0, 0);
  MakeName(0x000014B8, "sceSysreg_driver_2112E686");
  MakeFunction(0x000014B8, BADADDR);
  MakeName(0x00001EE8, "export_1_sceSysreg_driver_228A73E1");
  MakeDword(0x00001EE8);
  MakeName(0x00002188, "");
  MakeDword(0x00002188);
  OpOff(0x00002188, 0, 0);
  MakeName(0x000008A8, "sceSysreg_driver_228A73E1");
  MakeFunction(0x000008A8, BADADDR);
  MakeName(0x00001EEC, "export_1_sceSysregIntrInit");
  MakeDword(0x00001EEC);
  MakeName(0x0000218C, "");
  MakeDword(0x0000218C);
  OpOff(0x0000218C, 0, 0);
  MakeName(0x00001908, "sceSysregIntrInit");
  MakeFunction(0x00001908, BADADDR);
  MakeName(0x00001EF0, "export_1_sceSysregPwmIoDisable");
  MakeDword(0x00001EF0);
  MakeName(0x00002190, "");
  MakeDword(0x00002190);
  OpOff(0x00002190, 0, 0);
  MakeName(0x000012D0, "sceSysregPwmIoDisable");
  MakeFunction(0x000012D0, BADADDR);
  MakeName(0x00001EF4, "export_1_sceSysregAwResetEnable");
  MakeDword(0x00001EF4);
  MakeName(0x00002194, "");
  MakeDword(0x00002194);
  OpOff(0x00002194, 0, 0);
  MakeName(0x00000314, "sceSysregAwResetEnable");
  MakeFunction(0x00000314, BADADDR);
  MakeName(0x00001EF8, "export_1_sceSysregSircsIoDisable");
  MakeDword(0x00001EF8);
  MakeName(0x00002198, "");
  MakeDword(0x00002198);
  OpOff(0x00002198, 0, 0);
  MakeName(0x00001280, "sceSysregSircsIoDisable");
  MakeFunction(0x00001280, BADADDR);
  MakeName(0x00001EFC, "export_1_sceSysregAudioClkoutIoDisable");
  MakeDword(0x00001EFC);
  MakeName(0x0000219C, "");
  MakeDword(0x0000219C);
  OpOff(0x0000219C, 0, 0);
  MakeName(0x00001298, "sceSysregAudioClkoutIoDisable");
  MakeFunction(0x00001298, BADADDR);
  MakeName(0x00001F00, "export_1_sceSysregEmcsmBusClockDisable");
  MakeDword(0x00001F00);
  MakeName(0x000021A0, "");
  MakeDword(0x000021A0);
  OpOff(0x000021A0, 0, 0);
  MakeName(0x00000768, "sceSysregEmcsmBusClockDisable");
  MakeFunction(0x00000768, BADADDR);
  MakeName(0x00001F04, "export_1_sceSysregMeResetDisable");
  MakeDword(0x00001F04);
  MakeName(0x000021A4, "");
  MakeDword(0x000021A4);
  OpOff(0x000021A4, 0, 0);
  MakeName(0x00000308, "sceSysregMeResetDisable");
  MakeFunction(0x00000308, BADADDR);
  MakeName(0x00001F08, "export_1_sceSysregAudioClkDisable");
  MakeDword(0x00001F08);
  MakeName(0x000021A8, "");
  MakeDword(0x000021A8);
  OpOff(0x000021A8, 0, 0);
  MakeName(0x00000A40, "sceSysregAudioClkDisable");
  MakeFunction(0x00000A40, BADADDR);
  MakeName(0x00001F0C, "export_1_sceSysregMsifClkEnable");
  MakeDword(0x00001F0C);
  MakeName(0x000021AC, "");
  MakeDword(0x000021AC);
  OpOff(0x000021AC, 0, 0);
  MakeName(0x000008B4, "sceSysregMsifClkEnable");
  MakeFunction(0x000008B4, BADADDR);
  MakeName(0x00001F10, "export_1_sceSysregUsbQueryIntr");
  MakeDword(0x00001F10);
  MakeName(0x000021B0, "");
  MakeDword(0x000021B0);
  OpOff(0x000021B0, 0, 0);
  MakeName(0x00001584, "sceSysregUsbQueryIntr");
  MakeFunction(0x00001584, BADADDR);
  MakeName(0x00001F14, "export_1_sceSysregMsifAcquireConnectIntr");
  MakeDword(0x00001F14);
  MakeName(0x000021B4, "");
  MakeDword(0x000021B4);
  OpOff(0x000021B4, 0, 0);
  MakeName(0x000016A0, "sceSysregMsifAcquireConnectIntr");
  MakeFunction(0x000016A0, BADADDR);
  MakeName(0x00001F18, "export_1_sceSysreg_driver_377F035F");
  MakeDword(0x00001F18);
  MakeName(0x000021B8, "");
  MakeDword(0x000021B8);
  OpOff(0x000021B8, 0, 0);
  MakeName(0x00001BC0, "sceSysreg_driver_377F035F");
  MakeFunction(0x00001BC0, BADADDR);
  MakeName(0x00001F1C, "export_1_sceSysregUsbClkDisable");
  MakeDword(0x00001F1C);
  MakeName(0x000021BC, "");
  MakeDword(0x000021BC);
  OpOff(0x000021BC, 0, 0);
  MakeName(0x00000BCC, "sceSysregUsbClkDisable");
  MakeFunction(0x00000BCC, BADADDR);
  MakeName(0x00001F20, "export_1_sceSysregAwRegBBusClockEnable");
  MakeDword(0x00001F20);
  MakeName(0x000021C0, "");
  MakeDword(0x000021C0);
  OpOff(0x000021C0, 0, 0);
  MakeName(0x00000604, "sceSysregAwRegBBusClockEnable");
  MakeFunction(0x00000604, BADADDR);
  MakeName(0x00001F24, "export_1_sceSysregGpioClkDisable");
  MakeDword(0x00001F24);
  MakeName(0x000021C4, "");
  MakeDword(0x000021C4);
  OpOff(0x000021C4, 0, 0);
  MakeName(0x00000AF0, "sceSysregGpioClkDisable");
  MakeFunction(0x00000AF0, BADADDR);
  MakeName(0x00001F28, "export_1_sceSysregUsbBusClockEnable");
  MakeDword(0x00001F28);
  MakeName(0x000021C8, "");
  MakeDword(0x000021C8);
  OpOff(0x000021C8, 0, 0);
  MakeName(0x000006D4, "sceSysregUsbBusClockEnable");
  MakeFunction(0x000006D4, BADADDR);
  MakeName(0x00001F2C, "export_1_sceSysreg_driver_3E961C02");
  MakeDword(0x00001F2C);
  MakeName(0x000021CC, "");
  MakeDword(0x000021CC);
  OpOff(0x000021CC, 0, 0);
  MakeName(0x00000414, "sceSysreg_driver_3E961C02");
  MakeFunction(0x00000414, BADADDR);
  MakeName(0x00001F30, "export_1_sceSysregRequestIntr");
  MakeDword(0x00001F30);
  MakeName(0x000021D0, "");
  MakeDword(0x000021D0);
  OpOff(0x000021D0, 0, 0);
  MakeName(0x00001870, "sceSysregRequestIntr");
  MakeFunction(0x00001870, BADADDR);
  MakeName(0x00001F34, "export_1_sceSysregAwEdramBusClockDisable");
  MakeDword(0x00001F34);
  MakeName(0x000021D4, "");
  MakeDword(0x000021D4);
  OpOff(0x000021D4, 0, 0);
  MakeName(0x00000628, "sceSysregAwEdramBusClockDisable");
  MakeFunction(0x00000628, BADADDR);
  MakeName(0x00001F38, "export_1_sceSysreg_driver_44704E1D");
  MakeDword(0x00001F38);
  MakeName(0x000021D8, "");
  MakeDword(0x000021D8);
  OpOff(0x000021D8, 0, 0);
  MakeName(0x00001B40, "sceSysreg_driver_44704E1D");
  MakeFunction(0x00001B40, BADADDR);
  MakeName(0x00001F3C, "export_1_sceSysregMeBusClockEnable");
  MakeDword(0x00001F3C);
  MakeName(0x000021DC, "");
  MakeDword(0x000021DC);
  OpOff(0x000021DC, 0, 0);
  MakeName(0x000005D4, "sceSysregMeBusClockEnable");
  MakeFunction(0x000005D4, BADADDR);
  MakeName(0x00001F40, "export_1_sceSysregPwmClkDisable");
  MakeDword(0x00001F40);
  MakeName(0x000021E0, "");
  MakeDword(0x000021E0);
  OpOff(0x000021E0, 0, 0);
  MakeName(0x00000A90, "sceSysregPwmClkDisable");
  MakeFunction(0x00000A90, BADADDR);
  MakeName(0x00001F44, "export_1_sceSysregMsifBusClockEnable");
  MakeDword(0x00001F44);
  MakeName(0x000021E4, "");
  MakeDword(0x000021E4);
  OpOff(0x000021E4, 0, 0);
  MakeName(0x000006EC, "sceSysregMsifBusClockEnable");
  MakeFunction(0x000006EC, BADADDR);
  MakeName(0x00001F48, "export_1_sceSysregSircsIoEnable");
  MakeDword(0x00001F48);
  MakeName(0x000021E8, "");
  MakeDword(0x000021E8);
  OpOff(0x000021E8, 0, 0);
  MakeName(0x00001274, "sceSysregSircsIoEnable");
  MakeFunction(0x00001274, BADADDR);
  MakeName(0x00001F4C, "export_1_sceSysreg_driver_4D2FFC60");
  MakeDword(0x00001F4C);
  MakeName(0x000021EC, "");
  MakeDword(0x000021EC);
  OpOff(0x000021EC, 0, 0);
  MakeName(0x00000808, "sceSysreg_driver_4D2FFC60");
  MakeFunction(0x00000808, BADADDR);
  MakeName(0x00001F50, "export_1_sceSysregAwRegABusClockEnable");
  MakeDword(0x00001F50);
  MakeName(0x000021F0, "");
  MakeDword(0x000021F0);
  OpOff(0x000021F0, 0, 0);
  MakeName(0x000005EC, "sceSysregAwRegABusClockEnable");
  MakeFunction(0x000005EC, BADADDR);
  MakeName(0x00001F54, "export_1_sceSysregIntrEnd");
  MakeDword(0x00001F54);
  MakeName(0x000021F4, "");
  MakeDword(0x000021F4);
  OpOff(0x000021F4, 0, 0);
  MakeName(0x00001948, "sceSysregIntrEnd");
  MakeFunction(0x00001948, BADADDR);
  MakeName(0x00001F58, "export_1_sceSysregGetFuseId");
  MakeDword(0x00001F58);
  MakeName(0x000021F8, "");
  MakeDword(0x000021F8);
  OpOff(0x000021F8, 0, 0);
  MakeName(0x000002B0, "sceSysregGetFuseId");
  MakeFunction(0x000002B0, BADADDR);
  MakeName(0x00001F5C, "export_1_sceSysregKirkBusClockEnable");
  MakeDword(0x00001F5C);
  MakeName(0x000021FC, "");
  MakeDword(0x000021FC);
  OpOff(0x000021FC, 0, 0);
  MakeName(0x000006A4, "sceSysregKirkBusClockEnable");
  MakeFunction(0x000006A4, BADADDR);
  MakeName(0x00001F60, "export_1_sceSysregPllGetBaseFrequency");
  MakeDword(0x00001F60);
  MakeName(0x00002200, "");
  MakeDword(0x00002200);
  OpOff(0x00002200, 0, 0);
  MakeName(0x00000484, "sceSysregPllGetBaseFrequency");
  MakeFunction(0x00000484, BADADDR);
  MakeName(0x00001F64, "export_1_sceSysreg_driver_55B18B84");
  MakeDword(0x00001F64);
  MakeName(0x00002204, "");
  MakeDword(0x00002204);
  OpOff(0x00002204, 0, 0);
  MakeName(0x000014AC, "sceSysreg_driver_55B18B84");
  MakeFunction(0x000014AC, BADADDR);
  MakeName(0x00001F68, "export_1_sceSysreg_driver_5664F8B5");
  MakeDword(0x00001F68);
  MakeName(0x00002208, "");
  MakeDword(0x00002208);
  OpOff(0x00002208, 0, 0);
  MakeName(0x00001AF8, "sceSysreg_driver_5664F8B5");
  MakeFunction(0x00001AF8, BADADDR);
  MakeName(0x00001F6C, "export_1_sceSysreg_driver_584AD989");
  MakeDword(0x00001F6C);
  MakeName(0x0000220C, "");
  MakeDword(0x0000220C);
  OpOff(0x0000220C, 0, 0);
  MakeName(0x00001B78, "sceSysreg_driver_584AD989");
  MakeFunction(0x00001B78, BADADDR);
  MakeName(0x00001F70, "export_1_sceSysregIicIoDisable");
  MakeDword(0x00001F70);
  MakeName(0x00002210, "");
  MakeDword(0x00002210);
  OpOff(0x00002210, 0, 0);
  MakeName(0x00001268, "sceSysregIicIoDisable");
  MakeFunction(0x00001268, BADADDR);
  MakeName(0x00001F74, "export_1_sceSysregInterruptToOther");
  MakeDword(0x00001F74);
  MakeName(0x00002214, "");
  MakeDword(0x00002214);
  OpOff(0x00002214, 0, 0);
  MakeName(0x0000171C, "sceSysregInterruptToOther");
  MakeFunction(0x0000171C, BADADDR);
  MakeName(0x00001F78, "export_1_sceSysregUsbGetConnectStatus");
  MakeDword(0x00001F78);
  MakeName(0x00002218, "");
  MakeDword(0x00002218);
  OpOff(0x00002218, 0, 0);
  MakeName(0x00001574, "sceSysregUsbGetConnectStatus");
  MakeFunction(0x00001574, BADADDR);
  MakeName(0x00001F7C, "export_1_sceSysregLcdcIoEnable");
  MakeDword(0x00001F7C);
  MakeName(0x0000221C, "");
  MakeDword(0x0000221C);
  OpOff(0x0000221C, 0, 0);
  MakeName(0x000011EC, "sceSysregLcdcIoEnable");
  MakeFunction(0x000011EC, BADADDR);
  MakeName(0x00001F80, "export_1_sceSysregApbBusClockEnable");
  MakeDword(0x00001F80);
  MakeName(0x00002220, "");
  MakeDword(0x00002220);
  OpOff(0x00002220, 0, 0);
  MakeName(0x00000774, "sceSysregApbBusClockEnable");
  MakeFunction(0x00000774, BADADDR);
  MakeName(0x00001F84, "export_1_sceSysregSircsClkEnable");
  MakeDword(0x00001F84);
  MakeName(0x00002224, "");
  MakeDword(0x00002224);
  OpOff(0x00002224, 0, 0);
  MakeName(0x00000ACC, "sceSysregSircsClkEnable");
  MakeFunction(0x00000ACC, BADADDR);
  MakeName(0x00001F88, "export_1_sceSysregDmacplusBusClockEnable");
  MakeDword(0x00001F88);
  MakeName(0x00002228, "");
  MakeDword(0x00002228);
  OpOff(0x00002228, 0, 0);
  MakeName(0x00000634, "sceSysregDmacplusBusClockEnable");
  MakeFunction(0x00000634, BADADDR);
  MakeName(0x00001F8C, "export_1_sceSysregAtahddBusClockDisable");
  MakeDword(0x00001F8C);
  MakeName(0x0000222C, "");
  MakeDword(0x0000222C);
  OpOff(0x0000222C, 0, 0);
  MakeName(0x000007F0, "sceSysregAtahddBusClockDisable");
  MakeFunction(0x000007F0, BADADDR);
  MakeName(0x00001F90, "export_1_sceSysregKeyIoDisable");
  MakeDword(0x00001F90);
  MakeName(0x00002230, "");
  MakeDword(0x00002230);
  OpOff(0x00002230, 0, 0);
  MakeName(0x000012B4, "sceSysregKeyIoDisable");
  MakeFunction(0x000012B4, BADADDR);
  MakeName(0x00001F94, "export_1_sceSysregUsbAcquireIntr");
  MakeDword(0x00001F94);
  MakeName(0x00002234, "");
  MakeDword(0x00002234);
  OpOff(0x00002234, 0, 0);
  MakeName(0x00001594, "sceSysregUsbAcquireIntr");
  MakeFunction(0x00001594, BADADDR);
  MakeName(0x00001F98, "export_1_sceSysregUsbResetDisable");
  MakeDword(0x00001F98);
  MakeName(0x00002238, "");
  MakeDword(0x00002238);
  OpOff(0x00002238, 0, 0);
  MakeName(0x00000368, "sceSysregUsbResetDisable");
  MakeFunction(0x00000368, BADADDR);
  MakeName(0x00001F9C, "export_1_sceSysregAtaClkEnable");
  MakeDword(0x00001F9C);
  MakeName(0x0000223C, "");
  MakeDword(0x0000223C);
  OpOff(0x0000223C, 0, 0);
  MakeName(0x0000086C, "sceSysregAtaClkEnable");
  MakeFunction(0x0000086C, BADADDR);
  MakeName(0x00001FA0, "export_1_sceSysregUsbClkEnable");
  MakeDword(0x00001FA0);
  MakeName(0x00002240, "");
  MakeDword(0x00002240);
  OpOff(0x00002240, 0, 0);
  MakeName(0x00000BC4, "sceSysregUsbClkEnable");
  MakeFunction(0x00000BC4, BADADDR);
  MakeName(0x00001FA4, "export_1_sceSysregVmeResetDisable");
  MakeDword(0x00001FA4);
  MakeName(0x00002244, "");
  MakeDword(0x00002244);
  OpOff(0x00002244, 0, 0);
  MakeName(0x00000338, "sceSysregVmeResetDisable");
  MakeFunction(0x00000338, BADADDR);
  MakeName(0x00001FA8, "export_1_sceSysregUartClkEnable");
  MakeDword(0x00001FA8);
  MakeName(0x00002248, "");
  MakeDword(0x00002248);
  OpOff(0x00002248, 0, 0);
  MakeName(0x00000964, "sceSysregUartClkEnable");
  MakeFunction(0x00000964, BADADDR);
  MakeName(0x00001FAC, "export_1_sceSysregKeyIoEnable");
  MakeDword(0x00001FAC);
  MakeName(0x0000224C, "");
  MakeDword(0x0000224C);
  OpOff(0x0000224C, 0, 0);
  MakeName(0x000012A4, "sceSysregKeyIoEnable");
  MakeFunction(0x000012A4, BADADDR);
  MakeName(0x00001FB0, "export_1_sceSysregAwRegABusClockDisable");
  MakeDword(0x00001FB0);
  MakeName(0x00002250, "");
  MakeDword(0x00002250);
  OpOff(0x00002250, 0, 0);
  MakeName(0x000005F8, "sceSysregAwRegABusClockDisable");
  MakeFunction(0x000005F8, BADADDR);
  MakeName(0x00001FB4, "export_1_sceSysregAtaIoEnable");
  MakeDword(0x00001FB4);
  MakeName(0x00002254, "");
  MakeDword(0x00002254);
  OpOff(0x00002254, 0, 0);
  MakeName(0x0000117C, "sceSysregAtaIoEnable");
  MakeFunction(0x0000117C, BADADDR);
  MakeName(0x00001FB8, "export_1_sceSysregPwmIoEnable");
  MakeDword(0x00001FB8);
  MakeName(0x00002258, "");
  MakeDword(0x00002258);
  OpOff(0x00002258, 0, 0);
  MakeName(0x000012C4, "sceSysregPwmIoEnable");
  MakeFunction(0x000012C4, BADADDR);
  MakeName(0x00001FBC, "export_1_sceSysreg_driver_7B9E9A53");
  MakeDword(0x00001FBC);
  MakeName(0x0000225C, "");
  MakeDword(0x0000225C);
  OpOff(0x0000225C, 0, 0);
  MakeName(0x000014C4, "sceSysreg_driver_7B9E9A53");
  MakeFunction(0x000014C4, BADADDR);
  MakeName(0x00001FC0, "export_1_sceSysreg_driver_7BDF0556");
  MakeDword(0x00001FC0);
  MakeName(0x00002260, "");
  MakeDword(0x00002260);
  OpOff(0x00002260, 0, 0);
  MakeName(0x000014D0, "sceSysreg_driver_7BDF0556");
  MakeFunction(0x000014D0, BADADDR);
  MakeName(0x00001FC4, "export_1_sceSysregDisableIntr");
  MakeDword(0x00001FC4);
  MakeName(0x00002264, "");
  MakeDword(0x00002264);
  OpOff(0x00002264, 0, 0);
  MakeName(0x000019D0, "sceSysregDisableIntr");
  MakeFunction(0x000019D0, BADADDR);
  MakeName(0x00001FC8, "export_1_sceSysregEmcddrBusClockEnable");
  MakeDword(0x00001FC8);
  MakeName(0x00002268, "");
  MakeDword(0x00002268);
  OpOff(0x00002268, 0, 0);
  MakeName(0x00000744, "sceSysregEmcddrBusClockEnable");
  MakeFunction(0x00000744, BADADDR);
  MakeName(0x00001FCC, "export_1_sceSysregPwmClkEnable");
  MakeDword(0x00001FCC);
  MakeName(0x0000226C, "");
  MakeDword(0x0000226C);
  OpOff(0x0000226C, 0, 0);
  MakeName(0x00000A84, "sceSysregPwmClkEnable");
  MakeFunction(0x00000A84, BADADDR);
  MakeName(0x00001FD0, "export_1_sceSysregDmacBusClockEnable");
  MakeDword(0x00001FD0);
  MakeName(0x00002270, "");
  MakeDword(0x00002270);
  OpOff(0x00002270, 0, 0);
  MakeName(0x0000064C, "sceSysregDmacBusClockEnable");
  MakeFunction(0x0000064C, BADADDR);
  MakeName(0x00001FD4, "export_1_sceSysregUartIoEnable");
  MakeDword(0x00001FD4);
  MakeName(0x00002274, "");
  MakeDword(0x00002274);
  OpOff(0x00002274, 0, 0);
  MakeName(0x000012F4, "sceSysregUartIoEnable");
  MakeFunction(0x000012F4, BADADDR);
  MakeName(0x00001FD8, "export_1_sceSysregAtaResetDisable");
  MakeDword(0x00001FD8);
  MakeName(0x00002278, "");
  MakeDword(0x00002278);
  OpOff(0x00002278, 0, 0);
  MakeName(0x00000380, "sceSysregAtaResetDisable");
  MakeFunction(0x00000380, BADADDR);
  MakeName(0x00001FDC, "export_1_sceSysregMsifBusClockDisable");
  MakeDword(0x00001FDC);
  MakeName(0x0000227C, "");
  MakeDword(0x0000227C);
  OpOff(0x0000227C, 0, 0);
  MakeName(0x00000718, "sceSysregMsifBusClockDisable");
  MakeFunction(0x00000718, BADADDR);
  MakeName(0x00001FE0, "export_1_sceSysregAwRegBBusClockDisable");
  MakeDword(0x00001FE0);
  MakeName(0x00002280, "");
  MakeDword(0x00002280);
  OpOff(0x00002280, 0, 0);
  MakeName(0x00000610, "sceSysregAwRegBBusClockDisable");
  MakeFunction(0x00000610, BADADDR);
  MakeName(0x00001FE4, "export_1_sceSysregAtaClkSelect");
  MakeDword(0x00001FE4);
  MakeName(0x00002284, "");
  MakeDword(0x00002284);
  OpOff(0x00002284, 0, 0);
  MakeName(0x00001008, "sceSysregAtaClkSelect");
  MakeFunction(0x00001008, BADADDR);
  MakeName(0x00001FE8, "export_1_sceSysreg_driver_844AF6BD");
  MakeDword(0x00001FE8);
  MakeName(0x00002288, "");
  MakeDword(0x00002288);
  OpOff(0x00002288, 0, 0);
  MakeName(0x0000027C, "sceSysreg_driver_844AF6BD");
  MakeFunction(0x0000027C, BADADDR);
  MakeName(0x00001FEC, "export_1_sceSysregKirkBusClockDisable");
  MakeDword(0x00001FEC);
  MakeName(0x0000228C, "");
  MakeDword(0x0000228C);
  OpOff(0x0000228C, 0, 0);
  MakeName(0x000006B0, "sceSysregKirkBusClockDisable");
  MakeFunction(0x000006B0, BADADDR);
  MakeName(0x00001FF0, "export_1_sceSysreg_driver_87C2BA20");
  MakeDword(0x00001FF0);
  MakeName(0x00002290, "");
  MakeDword(0x00002290);
  OpOff(0x00002290, 0, 0);
  MakeName(0x000015F0, "sceSysreg_driver_87C2BA20");
  MakeFunction(0x000015F0, BADADDR);
  MakeName(0x00001FF4, "export_1_sceSysregSpiClkEnable");
  MakeDword(0x00001FF4);
  MakeName(0x00002294, "");
  MakeDword(0x00002294);
  OpOff(0x00002294, 0, 0);
  MakeName(0x0000090C, "sceSysregSpiClkEnable");
  MakeFunction(0x0000090C, BADADDR);
  MakeName(0x00001FF8, "export_1_sceSysregKirkResetEnable");
  MakeDword(0x00001FF8);
  MakeName(0x00002298, "");
  MakeDword(0x00002298);
  OpOff(0x00002298, 0, 0);
  MakeName(0x000003E4, "sceSysregKirkResetEnable");
  MakeFunction(0x000003E4, BADADDR);
  MakeName(0x00001FFC, "export_1_sceSysregSpiClkDisable");
  MakeDword(0x00001FFC);
  MakeName(0x0000229C, "");
  MakeDword(0x0000229C);
  OpOff(0x0000229C, 0, 0);
  MakeName(0x00000938, "sceSysregSpiClkDisable");
  MakeFunction(0x00000938, BADADDR);
  MakeName(0x00002000, "export_1_sceSysregAtahddIoEnable");
  MakeDword(0x00002000);
  MakeName(0x000022A0, "");
  MakeDword(0x000022A0);
  OpOff(0x000022A0, 0, 0);
  MakeName(0x000012DC, "sceSysregAtahddIoEnable");
  MakeFunction(0x000012DC, BADADDR);
  MakeName(0x00002004, "export_1_sceSysregSemaUnlock");
  MakeDword(0x00002004);
  MakeName(0x000022A4, "");
  MakeDword(0x000022A4);
  OpOff(0x000022A4, 0, 0);
  MakeName(0x0000176C, "sceSysregSemaUnlock");
  MakeFunction(0x0000176C, BADADDR);
  MakeName(0x00002008, "export_1_sceSysregSpiIoEnable");
  MakeDword(0x00002008);
  MakeName(0x000022A8, "");
  MakeDword(0x000022A8);
  OpOff(0x000022A8, 0, 0);
  MakeName(0x0000134C, "sceSysregSpiIoEnable");
  MakeFunction(0x0000134C, BADADDR);
  MakeName(0x0000200C, "export_1_sceSysregAtahddClkSelect");
  MakeDword(0x0000200C);
  MakeName(0x000022AC, "");
  MakeDword(0x000022AC);
  OpOff(0x000022AC, 0, 0);
  MakeName(0x00001074, "sceSysregAtahddClkSelect");
  MakeFunction(0x00001074, BADADDR);
  MakeName(0x00002010, "export_1_sceSysreg_driver_8D0FED1E");
  MakeDword(0x00002010);
  MakeName(0x000022B0, "");
  MakeDword(0x000022B0);
  OpOff(0x000022B0, 0, 0);
  MakeName(0x000014DC, "sceSysreg_driver_8D0FED1E");
  MakeFunction(0x000014DC, BADADDR);
  MakeName(0x00002014, "export_1_sceSysregMsifClkDisable");
  MakeDword(0x00002014);
  MakeName(0x000022B4, "");
  MakeDword(0x000022B4);
  OpOff(0x000022B4, 0, 0);
  MakeName(0x000008E0, "sceSysregMsifClkDisable");
  MakeFunction(0x000008E0, BADADDR);
  MakeName(0x00002018, "export_1_sceSysregAudioIoDisable");
  MakeDword(0x00002018);
  MakeName(0x000022B8, "");
  MakeDword(0x000022B8);
  OpOff(0x000022B8, 0, 0);
  MakeName(0x00001230, "sceSysregAudioIoDisable");
  MakeFunction(0x00001230, BADADDR);
  MakeName(0x0000201C, "export_1_sceSysregGetFuseConfig");
  MakeDword(0x0000201C);
  MakeName(0x000022BC, "");
  MakeDword(0x000022BC);
  OpOff(0x000022BC, 0, 0);
  MakeName(0x000002D4, "sceSysregGetFuseConfig");
  MakeFunction(0x000002D4, BADADDR);
  MakeName(0x00002020, "export_1_sceSysregAudioClkSelect");
  MakeDword(0x00002020);
  MakeName(0x000022C0, "");
  MakeDword(0x000022C0);
  OpOff(0x000022C0, 0, 0);
  MakeName(0x00000E40, "sceSysregAudioClkSelect");
  MakeFunction(0x00000E40, BADADDR);
  MakeName(0x00002024, "export_1_sceSysregAtahddClkDisable");
  MakeDword(0x00002024);
  MakeName(0x000022C4, "");
  MakeDword(0x000022C4);
  OpOff(0x000022C4, 0, 0);
  MakeName(0x00000890, "sceSysregAtahddClkDisable");
  MakeFunction(0x00000890, BADADDR);
  MakeName(0x00002028, "export_1_sceSysregIicClkDisable");
  MakeDword(0x00002028);
  MakeName(0x000022C8, "");
  MakeDword(0x000022C8);
  OpOff(0x000022C8, 0, 0);
  MakeName(0x00000AC0, "sceSysregIicClkDisable");
  MakeFunction(0x00000AC0, BADADDR);
  MakeName(0x0000202C, "export_1_sceSysregAvcResetEnable");
  MakeDword(0x0000202C);
  MakeName(0x000022CC, "");
  MakeDword(0x000022CC);
  OpOff(0x000022CC, 0, 0);
  MakeName(0x00000344, "sceSysregAvcResetEnable");
  MakeFunction(0x00000344, BADADDR);
  MakeName(0x00002030, "export_1_sceSysregInit");
  MakeDword(0x00002030);
  MakeName(0x000022D0, "");
  MakeDword(0x000022D0);
  OpOff(0x000022D0, 0, 0);
  MakeName(0x00000068, "sceSysregInit");
  MakeFunction(0x00000068, BADADDR);
  MakeName(0x00002034, "export_1_sceSysregEmcsmIoEnable");
  MakeDword(0x00002034);
  MakeName(0x000022D4, "");
  MakeDword(0x000022D4);
  OpOff(0x000022D4, 0, 0);
  MakeName(0x0000114C, "sceSysregEmcsmIoEnable");
  MakeFunction(0x0000114C, BADADDR);
  MakeName(0x00002038, "export_1_sceSysregSemaTryLock");
  MakeDword(0x00002038);
  MakeName(0x000022D8, "");
  MakeDword(0x000022D8);
  OpOff(0x000022D8, 0, 0);
  MakeName(0x0000173C, "sceSysregSemaTryLock");
  MakeFunction(0x0000173C, BADADDR);
  MakeName(0x0000203C, "export_1_sceSysregSpiIoDisable");
  MakeDword(0x0000203C);
  MakeName(0x000022DC, "");
  MakeDword(0x000022DC);
  OpOff(0x000022DC, 0, 0);
  MakeName(0x00001378, "sceSysregSpiIoDisable");
  MakeFunction(0x00001378, BADADDR);
  MakeName(0x00002040, "export_1_sceSysregAtahddResetEnable");
  MakeDword(0x00002040);
  MakeName(0x000022E0, "");
  MakeDword(0x000022E0);
  OpOff(0x000022E0, 0, 0);
  MakeName(0x000003FC, "sceSysregAtahddResetEnable");
  MakeFunction(0x000003FC, BADADDR);
  MakeName(0x00002044, "export_1_sceSysregLcdcClkEnable");
  MakeDword(0x00002044);
  MakeName(0x000022E4, "");
  MakeDword(0x000022E4);
  OpOff(0x000022E4, 0, 0);
  MakeName(0x00000A6C, "sceSysregLcdcClkEnable");
  MakeFunction(0x00000A6C, BADADDR);
  MakeName(0x00002048, "export_1_sceSysregDmacBusClockDisable");
  MakeDword(0x00002048);
  MakeName(0x000022E8, "");
  MakeDword(0x000022E8);
  OpOff(0x000022E8, 0, 0);
  MakeName(0x00000678, "sceSysregDmacBusClockDisable");
  MakeFunction(0x00000678, BADADDR);
  MakeName(0x0000204C, "export_1_sceSysregAwResetDisable");
  MakeDword(0x0000204C);
  MakeName(0x000022EC, "");
  MakeDword(0x000022EC);
  OpOff(0x000022EC, 0, 0);
  MakeName(0x00000320, "sceSysregAwResetDisable");
  MakeFunction(0x00000320, BADADDR);
  MakeName(0x00002050, "export_1_sceSysregUsbIoDisable");
  MakeDword(0x00002050);
  MakeName(0x000022F0, "");
  MakeDword(0x000022F0);
  OpOff(0x000022F0, 0, 0);
  MakeName(0x00001170, "sceSysregUsbIoDisable");
  MakeFunction(0x00001170, BADADDR);
  MakeName(0x00002054, "export_1_sceSysregUartClkDisable");
  MakeDword(0x00002054);
  MakeName(0x000022F4, "");
  MakeDword(0x000022F4);
  OpOff(0x000022F4, 0, 0);
  MakeName(0x00000990, "sceSysregUartClkDisable");
  MakeFunction(0x00000990, BADADDR);
  MakeName(0x00002058, "export_1_sceSysreg_driver_A46E9CA8");
  MakeDword(0x00002058);
  MakeName(0x000022F8, "");
  MakeDword(0x000022F8);
  OpOff(0x000022F8, 0, 0);
  MakeName(0x000014E8, "sceSysreg_driver_A46E9CA8");
  MakeFunction(0x000014E8, BADADDR);
  MakeName(0x0000205C, "export_1_sceSysregAudioClkEnable");
  MakeDword(0x0000205C);
  MakeName(0x000022FC, "");
  MakeDword(0x000022FC);
  OpOff(0x000022FC, 0, 0);
  MakeName(0x00000A14, "sceSysregAudioClkEnable");
  MakeFunction(0x00000A14, BADADDR);
  MakeName(0x00002060, "export_1_sceSysregAudioBusClockEnable");
  MakeDword(0x00002060);
  MakeName(0x00002300, "");
  MakeDword(0x00002300);
  OpOff(0x00002300, 0, 0);
  MakeName(0x0000078C, "sceSysregAudioBusClockEnable");
  MakeFunction(0x0000078C, BADADDR);
  MakeName(0x00002064, "export_1_sceSysreg_driver_AB3185FD");
  MakeDword(0x00002064);
  MakeName(0x00002304, "");
  MakeDword(0x00002304);
  OpOff(0x00002304, 0, 0);
  MakeName(0x00001BF8, "sceSysreg_driver_AB3185FD");
  MakeFunction(0x00001BF8, BADADDR);
  MakeName(0x00002068, "export_1_sceSysreg_driver_ACFA3764");
  MakeDword(0x00002068);
  MakeName(0x00002308, "");
  MakeDword(0x00002308);
  OpOff(0x00002308, 0, 0);
  MakeName(0x00000420, "sceSysreg_driver_ACFA3764");
  MakeFunction(0x00000420, BADADDR);
  MakeName(0x0000206C, "export_1_sceSysregKeyClkDisable");
  MakeDword(0x0000206C);
  MakeName(0x0000230C, "");
  MakeDword(0x0000230C);
  OpOff(0x0000230C, 0, 0);
  MakeName(0x00000AA8, "sceSysregKeyClkDisable");
  MakeFunction(0x00000AA8, BADADDR);
  MakeName(0x00002070, "export_1_sceSysregAwEdramBusClockEnable");
  MakeDword(0x00002070);
  MakeName(0x00002310, "");
  MakeDword(0x00002310);
  OpOff(0x00002310, 0, 0);
  MakeName(0x0000061C, "sceSysregAwEdramBusClockEnable");
  MakeFunction(0x0000061C, BADADDR);
  MakeName(0x00002074, "export_1_sceSysregPllGetFrequency");
  MakeDword(0x00002074);
  MakeName(0x00002314, "");
  MakeDword(0x00002314);
  OpOff(0x00002314, 0, 0);
  MakeName(0x000004E8, "sceSysregPllGetFrequency");
  MakeFunction(0x000004E8, BADADDR);
  MakeName(0x00002078, "export_1_sceSysregPllGetOutSelect");
  MakeDword(0x00002078);
  MakeName(0x00002318, "");
  MakeDword(0x00002318);
  OpOff(0x00002318, 0, 0);
  MakeName(0x000004F4, "sceSysregPllGetOutSelect");
  MakeFunction(0x000004F4, BADADDR);
  MakeName(0x0000207C, "export_1_sceSysregAtahddClkEnable");
  MakeDword(0x0000207C);
  MakeName(0x0000231C, "");
  MakeDword(0x0000231C);
  OpOff(0x0000231C, 0, 0);
  MakeName(0x00000884, "sceSysregAtahddClkEnable");
  MakeFunction(0x00000884, BADADDR);
  MakeName(0x00002080, "export_1_sceSysregGpioIoEnable");
  MakeDword(0x00002080);
  MakeName(0x00002320, "");
  MakeDword(0x00002320);
  OpOff(0x00002320, 0, 0);
  MakeName(0x000013FC, "sceSysregGpioIoEnable");
  MakeFunction(0x000013FC, BADADDR);
  MakeName(0x00002084, "export_1_sceSysregAtaBusClockDisable");
  MakeDword(0x00002084);
  MakeName(0x00002324, "");
  MakeDword(0x00002324);
  OpOff(0x00002324, 0, 0);
  MakeName(0x000006C8, "sceSysregAtaBusClockDisable");
  MakeFunction(0x000006C8, BADADDR);
  MakeName(0x00002088, "export_1_sceSysregAudioIoEnable");
  MakeDword(0x00002088);
  MakeName(0x00002328, "");
  MakeDword(0x00002328);
  OpOff(0x00002328, 0, 0);
  MakeName(0x00001204, "sceSysregAudioIoEnable");
  MakeFunction(0x00001204, BADADDR);
  MakeName(0x0000208C, "export_1_sceSysregPllUpdateFrequency");
  MakeDword(0x0000208C);
  MakeName(0x0000232C, "");
  MakeDword(0x0000232C);
  OpOff(0x0000232C, 0, 0);
  MakeName(0x00000490, "sceSysregPllUpdateFrequency");
  MakeFunction(0x00000490, BADADDR);
  MakeName(0x00002090, "export_1_sceSysregUartIoDisable");
  MakeDword(0x00002090);
  MakeName(0x00002330, "");
  MakeDword(0x00002330);
  OpOff(0x00002330, 0, 0);
  MakeName(0x00001320, "sceSysregUartIoDisable");
  MakeFunction(0x00001320, BADADDR);
  MakeName(0x00002094, "export_1_sceSysregUsbIoEnable");
  MakeDword(0x00002094);
  MakeName(0x00002334, "");
  MakeDword(0x00002334);
  OpOff(0x00002334, 0, 0);
  MakeName(0x00001164, "sceSysregUsbIoEnable");
  MakeFunction(0x00001164, BADADDR);
  MakeName(0x00002098, "export_1_sceSysregMsifQueryConnectIntr");
  MakeDword(0x00002098);
  MakeName(0x00002338, "");
  MakeDword(0x00002338);
  OpOff(0x00002338, 0, 0);
  MakeName(0x0000166C, "sceSysregMsifQueryConnectIntr");
  MakeFunction(0x0000166C, BADADDR);
  MakeName(0x0000209C, "export_1_sceSysregUsbBusClockDisable");
  MakeDword(0x0000209C);
  MakeName(0x0000233C, "");
  MakeDword(0x0000233C);
  OpOff(0x0000233C, 0, 0);
  MakeName(0x000006E0, "sceSysregUsbBusClockDisable");
  MakeFunction(0x000006E0, BADADDR);
  MakeName(0x000020A0, "export_1_sceSysregAudioClkoutClkEnable");
  MakeDword(0x000020A0);
  MakeName(0x00002340, "");
  MakeDword(0x00002340);
  OpOff(0x00002340, 0, 0);
  MakeName(0x00000AFC, "sceSysregAudioClkoutClkEnable");
  MakeFunction(0x00000AFC, BADADDR);
  MakeName(0x000020A4, "export_1_sceSysregTopResetEnable");
  MakeDword(0x000020A4);
  MakeName(0x00002344, "");
  MakeDword(0x00002344);
  OpOff(0x00002344, 0, 0);
  MakeName(0x000002E4, "sceSysregTopResetEnable");
  MakeFunction(0x000002E4, BADADDR);
  MakeName(0x000020A8, "export_1_sceSysregKirkResetDisable");
  MakeDword(0x000020A8);
  MakeName(0x00002348, "");
  MakeDword(0x00002348);
  OpOff(0x00002348, 0, 0);
  MakeName(0x000003F0, "sceSysregKirkResetDisable");
  MakeFunction(0x000003F0, BADADDR);
  MakeName(0x000020AC, "export_1_sceSysregAtaIoDisable");
  MakeDword(0x000020AC);
  MakeName(0x0000234C, "");
  MakeDword(0x0000234C);
  OpOff(0x0000234C, 0, 0);
  MakeName(0x00001188, "sceSysregAtaIoDisable");
  MakeFunction(0x00001188, BADADDR);
  MakeName(0x000020B0, "export_1_sceSysregAtahddIoDisable");
  MakeDword(0x000020B0);
  MakeName(0x00002350, "");
  MakeDword(0x00002350);
  OpOff(0x00002350, 0, 0);
  MakeName(0x000012E8, "sceSysregAtahddIoDisable");
  MakeFunction(0x000012E8, BADADDR);
  MakeName(0x000020B4, "export_1_sceSysregDoTimerEvent");
  MakeDword(0x000020B4);
  MakeName(0x00002354, "");
  MakeDword(0x00002354);
  OpOff(0x00002354, 0, 0);
  MakeName(0x000000CC, "sceSysregDoTimerEvent");
  MakeFunction(0x000000CC, BADADDR);
  MakeName(0x000020B8, "export_1_sceSysregUsbResetEnable");
  MakeDword(0x000020B8);
  MakeName(0x00002358, "");
  MakeDword(0x00002358);
  OpOff(0x00002358, 0, 0);
  MakeName(0x0000035C, "sceSysregUsbResetEnable");
  MakeFunction(0x0000035C, BADADDR);
  MakeName(0x000020BC, "export_1_sceSysregVmeResetEnable");
  MakeDword(0x000020BC);
  MakeName(0x0000235C, "");
  MakeDword(0x0000235C);
  OpOff(0x0000235C, 0, 0);
  MakeName(0x0000032C, "sceSysregVmeResetEnable");
  MakeFunction(0x0000032C, BADADDR);
  MakeName(0x000020C0, "export_1_sceSysregMsifGetConnectStatus");
  MakeDword(0x000020C0);
  MakeName(0x00002360, "");
  MakeDword(0x00002360);
  OpOff(0x00002360, 0, 0);
  MakeName(0x00001638, "sceSysregMsifGetConnectStatus");
  MakeFunction(0x00001638, BADADDR);
  MakeName(0x000020C4, "export_1_sceSysregSpiClkSelect");
  MakeDword(0x000020C4);
  MakeName(0x00002364, "");
  MakeDword(0x00002364);
  OpOff(0x00002364, 0, 0);
  MakeName(0x00000EDC, "sceSysregSpiClkSelect");
  MakeFunction(0x00000EDC, BADADDR);
  MakeName(0x000020C8, "export_1_sceSysregKeyClkEnable");
  MakeDword(0x000020C8);
  MakeName(0x00002368, "");
  MakeDword(0x00002368);
  OpOff(0x00002368, 0, 0);
  MakeName(0x00000A9C, "sceSysregKeyClkEnable");
  MakeFunction(0x00000A9C, BADADDR);
  MakeName(0x000020CC, "export_1_sceSysregMsifIoEnable");
  MakeDword(0x000020CC);
  MakeName(0x0000236C, "");
  MakeDword(0x0000236C);
  OpOff(0x0000236C, 0, 0);
  MakeName(0x00001194, "sceSysregMsifIoEnable");
  MakeFunction(0x00001194, BADADDR);
  MakeName(0x000020D0, "export_1_sceSysreg_driver_DA4FCA1D");
  MakeDword(0x000020D0);
  MakeName(0x00002370, "");
  MakeDword(0x00002370);
  OpOff(0x00002370, 0, 0);
  MakeName(0x0000089C, "sceSysreg_driver_DA4FCA1D");
  MakeFunction(0x0000089C, BADADDR);
  MakeName(0x000020D4, "export_1_sceSysregScResetEnable");
  MakeDword(0x000020D4);
  MakeName(0x00002374, "");
  MakeDword(0x00002374);
  OpOff(0x00002374, 0, 0);
  MakeName(0x000002F0, "sceSysregScResetEnable");
  MakeFunction(0x000002F0, BADADDR);
  MakeName(0x000020D8, "export_1_sceSysregIicClkEnable");
  MakeDword(0x000020D8);
  MakeName(0x00002378, "");
  MakeDword(0x00002378);
  OpOff(0x00002378, 0, 0);
  MakeName(0x00000AB4, "sceSysregIicClkEnable");
  MakeFunction(0x00000AB4, BADADDR);
  MakeName(0x000020DC, "export_1_sceSysregPllSetOutSelect");
  MakeDword(0x000020DC);
  MakeName(0x0000237C, "");
  MakeDword(0x0000237C);
  OpOff(0x0000237C, 0, 0);
  MakeName(0x00000508, "sceSysregPllSetOutSelect");
  MakeFunction(0x00000508, BADADDR);
  MakeName(0x000020E0, "export_1_sceSysregAudioClkoutClkDisable");
  MakeDword(0x000020E0);
  MakeName(0x00002380, "");
  MakeDword(0x00002380);
  OpOff(0x00002380, 0, 0);
  MakeName(0x00000B08, "sceSysregAudioClkoutClkDisable");
  MakeFunction(0x00000B08, BADADDR);
  MakeName(0x000020E4, "export_1_sceSysregMeResetEnable");
  MakeDword(0x000020E4);
  MakeName(0x00002384, "");
  MakeDword(0x00002384);
  OpOff(0x00002384, 0, 0);
  MakeName(0x000002FC, "sceSysregMeResetEnable");
  MakeFunction(0x000002FC, BADADDR);
  MakeName(0x000020E8, "export_1_sceSysregApbBusClockDisable");
  MakeDword(0x000020E8);
  MakeName(0x00002388, "");
  MakeDword(0x00002388);
  OpOff(0x00002388, 0, 0);
  MakeName(0x00000780, "sceSysregApbBusClockDisable");
  MakeFunction(0x00000780, BADADDR);
  MakeName(0x000020EC, "export_1_sceSysregGetTachyonVersion");
  MakeDword(0x000020EC);
  MakeName(0x0000238C, "");
  MakeDword(0x0000238C);
  OpOff(0x0000238C, 0, 0);
  MakeName(0x000001B4, "sceSysregGetTachyonVersion");
  MakeFunction(0x000001B4, BADADDR);
  MakeName(0x000020F0, "export_1_sceSysreg_driver_E321F41A");
  MakeDword(0x000020F0);
  MakeName(0x00002390, "");
  MakeDword(0x00002390);
  OpOff(0x00002390, 0, 0);
  MakeName(0x000007FC, "sceSysreg_driver_E321F41A");
  MakeFunction(0x000007FC, BADADDR);
  MakeName(0x000020F4, "export_1_sceSysregGpioClkEnable");
  MakeDword(0x000020F4);
  MakeName(0x00002394, "");
  MakeDword(0x00002394);
  OpOff(0x00002394, 0, 0);
  MakeName(0x00000AE4, "sceSysregGpioClkEnable");
  MakeFunction(0x00000AE4, BADADDR);
  MakeName(0x000020F8, "export_1_sceSysregAtahddBusClockEnable");
  MakeDword(0x000020F8);
  MakeName(0x00002398, "");
  MakeDword(0x00002398);
  OpOff(0x00002398, 0, 0);
  MakeName(0x000007E4, "sceSysregAtahddBusClockEnable");
  MakeFunction(0x000007E4, BADADDR);
  MakeName(0x000020FC, "export_1_sceSysregApbTimerClkEnable");
  MakeDword(0x000020FC);
  MakeName(0x0000239C, "");
  MakeDword(0x0000239C);
  OpOff(0x0000239C, 0, 0);
  MakeName(0x000009BC, "sceSysregApbTimerClkEnable");
  MakeFunction(0x000009BC, BADADDR);
  MakeName(0x00002100, "export_1_sceSysreg_driver_E88B77ED");
  MakeDword(0x00002100);
  MakeName(0x000023A0, "");
  MakeDword(0x000023A0);
  OpOff(0x000023A0, 0, 0);
  MakeName(0x00000224, "sceSysreg_driver_E88B77ED");
  MakeFunction(0x00000224, BADADDR);
  MakeName(0x00002104, "export_1_sceSysregLcdcClkDisable");
  MakeDword(0x00002104);
  MakeName(0x000023A4, "");
  MakeDword(0x000023A4);
  OpOff(0x000023A4, 0, 0);
  MakeName(0x00000A78, "sceSysregLcdcClkDisable");
  MakeFunction(0x00000A78, BADADDR);
  MakeName(0x00002108, "export_1_sceSysregMsifResetDisable");
  MakeDword(0x00002108);
  MakeName(0x000023A8, "");
  MakeDword(0x000023A8);
  OpOff(0x000023A8, 0, 0);
  MakeName(0x000003B8, "sceSysregMsifResetDisable");
  MakeFunction(0x000003B8, BADADDR);
  MakeName(0x0000210C, "export_1_sceSysregEmcddrBusClockDisable");
  MakeDword(0x0000210C);
  MakeName(0x000023AC, "");
  MakeDword(0x000023AC);
  OpOff(0x000023AC, 0, 0);
  MakeName(0x00000750, "sceSysregEmcddrBusClockDisable");
  MakeFunction(0x00000750, BADADDR);
  MakeName(0x00002110, "export_1_sceSysregEnd");
  MakeDword(0x00002110);
  MakeName(0x000023B0, "");
  MakeDword(0x000023B0);
  OpOff(0x000023B0, 0, 0);
  MakeName(0x00000094, "sceSysregEnd");
  MakeFunction(0x00000094, BADADDR);
  MakeName(0x00002114, "export_1_sceSysreg_driver_F4811E00");
  MakeDword(0x00002114);
  MakeName(0x000023B4, "");
  MakeDword(0x000023B4);
  OpOff(0x000023B4, 0, 0);
  MakeName(0x00001D0C, "sceSysreg_driver_F4811E00");
  MakeFunction(0x00001D0C, BADADDR);
  MakeName(0x00002118, "export_1_sceSysregAtaResetEnable");
  MakeDword(0x00002118);
  MakeName(0x000023B8, "");
  MakeDword(0x000023B8);
  OpOff(0x000023B8, 0, 0);
  MakeName(0x00000374, "sceSysregAtaResetEnable");
  MakeFunction(0x00000374, BADADDR);
  MakeName(0x0000211C, "export_1_sceSysregAtahddResetDisable");
  MakeDword(0x0000211C);
  MakeName(0x000023BC, "");
  MakeDword(0x000023BC);
  OpOff(0x000023BC, 0, 0);
  MakeName(0x00000408, "sceSysregAtahddResetDisable");
  MakeFunction(0x00000408, BADADDR);
  MakeName(0x00002120, "export_1_sceSysregApbTimerClkDisable");
  MakeDword(0x00002120);
  MakeName(0x000023C0, "");
  MakeDword(0x000023C0);
  OpOff(0x000023C0, 0, 0);
  MakeName(0x000009E8, "sceSysregApbTimerClkDisable");
  MakeFunction(0x000009E8, BADADDR);
  MakeName(0x00002124, "export_1_sceSysregLcdcIoDisable");
  MakeDword(0x00002124);
  MakeName(0x000023C4, "");
  MakeDword(0x000023C4);
  OpOff(0x000023C4, 0, 0);
  MakeName(0x000011F8, "sceSysregLcdcIoDisable");
  MakeFunction(0x000011F8, BADADDR);
  MakeName(0x00002128, "export_1_sceSysregAudioClkoutIoEnable");
  MakeDword(0x00002128);
  MakeName(0x000023C8, "");
  MakeDword(0x000023C8);
  OpOff(0x000023C8, 0, 0);
  MakeName(0x0000128C, "sceSysregAudioClkoutIoEnable");
  MakeFunction(0x0000128C, BADADDR);
  MakeName(0x0000212C, "export_1_sceSysregEmcsmBusClockEnable");
  MakeDword(0x0000212C);
  MakeName(0x000023CC, "");
  MakeDword(0x000023CC);
  OpOff(0x000023CC, 0, 0);
  MakeName(0x0000075C, "sceSysregEmcsmBusClockEnable");
  MakeFunction(0x0000075C, BADADDR);
  MakeName(0x00002130, "export_1_sceSysregAtaClkDisable");
  MakeDword(0x00002130);
  MakeName(0x000023D0, "");
  MakeDword(0x000023D0);
  OpOff(0x000023D0, 0, 0);
  MakeName(0x00000878, "sceSysregAtaClkDisable");
  MakeFunction(0x00000878, BADADDR);
  MakeName(0x00002134, "export_1_sceSysregAvcResetDisable");
  MakeDword(0x00002134);
  MakeName(0x000023D4, "");
  MakeDword(0x000023D4);
  OpOff(0x000023D4, 0, 0);
  MakeName(0x00000350, "sceSysregAvcResetDisable");
  MakeFunction(0x00000350, BADADDR);
  MakeName(0x00002138, "export_1_sceSysreg_driver_FFEB6E00");
  MakeDword(0x00002138);
  MakeName(0x000023D8, "");
  MakeDword(0x000023D8);
  OpOff(0x000023D8, 0, 0);
  MakeName(0x000015E0, "sceSysreg_driver_FFEB6E00");
  MakeFunction(0x000015E0, BADADDR);
}

static createRelocs() {
}

